set echo off;
spool synonyms.lst;

/************************************************************************************
*                                                                                   *
*   synonyms.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   Each SILVERRUN user.                        Chaque utilisateur SILVERRUN.       *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script creating synonyms.                   Script creant des "synonyms".       *
*                                                                                   *
************************************************************************************/

CREATE SYNONYM dCell FOR sr_admin.dCell;
CREATE SYNONYM dCpnProc FOR sr_admin.dCpnProc;
CREATE SYNONYM dCpnStor FOR sr_admin.dCpnStor;
CREATE SYNONYM dDiag FOR sr_admin.dDiag;
CREATE SYNONYM dDispDes FOR sr_admin.dDispDes;
CREATE SYNONYM dExEnGR FOR sr_admin.dExEnGR;
CREATE SYNONYM dExEnPrs FOR sr_admin.dExEnPrs;
CREATE SYNONYM dExtEnt FOR sr_admin.dExtEnt;
CREATE SYNONYM dFigure FOR sr_admin.dFigure;
CREATE SYNONYM dFigurGR FOR sr_admin.dFigurGR;
CREATE SYNONYM dFlow FOR sr_admin.dFlow;
CREATE SYNONYM dFlowGR FOR sr_admin.dFlowGR;
CREATE SYNONYM dFont FOR sr_admin.dFont;
CREATE SYNONYM dFText FOR sr_admin.dFText;
CREATE SYNONYM dFTextGR FOR sr_admin.dFTextGR;
CREATE SYNONYM dGrapRep FOR sr_admin.dGrapRep;
CREATE SYNONYM dLabelGR FOR sr_admin.dLabelGR;
CREATE SYNONYM dLine FOR sr_admin.dLine;
CREATE SYNONYM dLineGR FOR sr_admin.dLineGR;
CREATE SYNONYM dLinkGR FOR sr_admin.dLinkGR;
CREATE SYNONYM dNode FOR sr_admin.dNode;
CREATE SYNONYM dPictGR FOR sr_admin.dPictGR;
CREATE SYNONYM dPicture FOR sr_admin.dPicture;
CREATE SYNONYM dProcess FOR sr_admin.dProcess;
CREATE SYNONYM dProcFrm FOR sr_admin.dProcFrm;
CREATE SYNONYM dProcGR FOR sr_admin.dProcGR;
CREATE SYNONYM dProcPrs FOR sr_admin.dProcPrs;
CREATE SYNONYM dQualGR FOR sr_admin.dQualGR;
CREATE SYNONYM dQualif FOR sr_admin.dQualif;
CREATE SYNONYM dQulExEn FOR sr_admin.dQulExEn;
CREATE SYNONYM dQulFlow FOR sr_admin.dQulFlow;
CREATE SYNONYM dQulProc FOR sr_admin.dQulProc;
CREATE SYNONYM dQulSto FOR sr_admin.dQulSto;
CREATE SYNONYM dResourc FOR sr_admin.dResourc;
CREATE SYNONYM dResProc FOR sr_admin.dResProc;
CREATE SYNONYM dStamp FOR sr_admin.dStamp;
CREATE SYNONYM dStampGR FOR sr_admin.dStampGR;
CREATE SYNONYM dStore FOR sr_admin.dStore;
CREATE SYNONYM dStoreGR FOR sr_admin.dStoreGR;
CREATE SYNONYM dStorPrs FOR sr_admin.dStorPrs;
CREATE SYNONYM dZone FOR sr_admin.dZone;
CREATE SYNONYM rActCat FOR sr_admin.rActCat;
CREATE SYNONYM rAction FOR sr_admin.rAction;
CREATE SYNONYM rAttrSet FOR sr_admin.rAttrSet;
CREATE SYNONYM rBlkCfg FOR sr_admin.rBlkCfg;
CREATE SYNONYM rChoice FOR sr_admin.rChoice;
CREATE SYNONYM rChoiceG FOR sr_admin.rChoiceG;
CREATE SYNONYM rChoiLnG FOR sr_admin.rChoiLnG;
CREATE SYNONYM rColAct FOR sr_admin.rColAct;
CREATE SYNONYM rColumn FOR sr_admin.rColumn;
CREATE SYNONYM rColVal FOR sr_admin.rColVal;
CREATE SYNONYM rCombCol FOR sr_admin.rCombCol;
CREATE SYNONYM rCombDir FOR sr_admin.rCombDir;
CREATE SYNONYM rCombin FOR sr_admin.rCombin;
CREATE SYNONYM rCompTbl FOR sr_admin.rCompTbl;
CREATE SYNONYM rConcAcc FOR sr_admin.rConcAcc;
CREATE SYNONYM rConnect FOR sr_admin.rConnect;
CREATE SYNONYM rConnG FOR sr_admin.rConnG;
CREATE SYNONYM rConnvG FOR sr_admin.rConnvG;
CREATE SYNONYM rConstr FOR sr_admin.rConstr;
CREATE SYNONYM rContent FOR sr_admin.rContent;
CREATE SYNONYM rDatabas FOR sr_admin.rDatabas;
CREATE SYNONYM rDescAcc FOR sr_admin.rDescAcc;
CREATE SYNONYM rDiagram FOR sr_admin.rDiagram;
CREATE SYNONYM rDim FOR sr_admin.rDim;
CREATE SYNONYM rDirect FOR sr_admin.rDirect;
CREATE SYNONYM rErrMsg FOR sr_admin.rErrMsg;
CREATE SYNONYM rFigure FOR sr_admin.rFigure;
CREATE SYNONYM rFigureG FOR sr_admin.rFigureG;
CREATE SYNONYM rFile FOR sr_admin.rFile;
CREATE SYNONYM rFilSgrp FOR sr_admin.rFilSgrp;
CREATE SYNONYM rFilTbsp FOR sr_admin.rFilTbsp;
CREATE SYNONYM rFont FOR sr_admin.rFont;
CREATE SYNONYM rGraphic FOR sr_admin.rGraphic;
CREATE SYNONYM rIBICol FOR sr_admin.rIBICol;
CREATE SYNONYM rIBIDir FOR sr_admin.rIBIDir;
CREATE SYNONYM rIBILink FOR sr_admin.rIBILink;
CREATE SYNONYM rIBILoc FOR sr_admin.rIBILoc;
CREATE SYNONYM rIBIMFD FOR sr_admin.rIBIMFD;
CREATE SYNONYM rIBISec FOR sr_admin.rIBISec;
CREATE SYNONYM rIBITab FOR sr_admin.rIBITab;
CREATE SYNONYM rIndex FOR sr_admin.rIndex;
CREATE SYNONYM rIndTbsp FOR sr_admin.rIndTbsp;
CREATE SYNONYM rLabelG FOR sr_admin.rLabelG;
CREATE SYNONYM rLine FOR sr_admin.rLine;
CREATE SYNONYM rLineG FOR sr_admin.rLineG;
CREATE SYNONYM rMDIndex FOR sr_admin.rMDIndex;
CREATE SYNONYM rPart FOR sr_admin.rPart;
CREATE SYNONYM rPictG FOR sr_admin.rPictG;
CREATE SYNONYM rPicture FOR sr_admin.rPicture;
CREATE SYNONYM rProc FOR sr_admin.rProc;
CREATE SYNONYM rRelCol FOR sr_admin.rRelCol;
CREATE SYNONYM rRollSeg FOR sr_admin.rRollSeg;
CREATE SYNONYM rSDColn FOR sr_admin.rSDColn;
CREATE SYNONYM rSDFld FOR sr_admin.rSDFld;
CREATE SYNONYM rSDFldVl FOR sr_admin.rSDFldVl;
CREATE SYNONYM rSeq FOR sr_admin.rSeq;
CREATE SYNONYM rSpecSym FOR sr_admin.rSpecSym;
CREATE SYNONYM rStamp FOR sr_admin.rStamp;
CREATE SYNONYM rStampG FOR sr_admin.rStampG;
CREATE SYNONYM rStoCfg FOR sr_admin.rStoCfg;
CREATE SYNONYM rStogrp FOR sr_admin.rStogrp;
CREATE SYNONYM rSubZone FOR sr_admin.rSubZone;
CREATE SYNONYM rSvwCol FOR sr_admin.rSvwCol;
CREATE SYNONYM rSvwFmt FOR sr_admin.rSvwFmt;
CREATE SYNONYM rTable FOR sr_admin.rTable;
CREATE SYNONYM rTableG FOR sr_admin.rTableG;
CREATE SYNONYM rTabspc FOR sr_admin.rTabspc;
CREATE SYNONYM rTabTbsp FOR sr_admin.rTabTbsp;
CREATE SYNONYM rText FOR sr_admin.rText;
CREATE SYNONYM rTextG FOR sr_admin.rTextG;
CREATE SYNONYM rZone FOR sr_admin.rZone;
CREATE SYNONYM tImage FOR sr_admin.tImage;
CREATE SYNONYM tItgParm FOR sr_admin.tItgParm;
CREATE SYNONYM tLongTxt FOR sr_admin.tLongTxt;
CREATE SYNONYM tPrtParm FOR sr_admin.tPrtParm;
CREATE SYNONYM wBasType FOR sr_admin.wBasType;
CREATE SYNONYM wCharact FOR sr_admin.wCharact;
CREATE SYNONYM wComItem FOR sr_admin.wComItem;
CREATE SYNONYM wCompCat FOR sr_admin.wCompCat;
CREATE SYNONYM wCompon FOR sr_admin.wCompon;
CREATE SYNONYM wCompPrs FOR sr_admin.wCompPrs;
CREATE SYNONYM wCorrCat FOR sr_admin.wCorrCat;
CREATE SYNONYM wCorresp FOR sr_admin.wCorresp;
CREATE SYNONYM wDefault FOR sr_admin.wDefault;
CREATE SYNONYM wDomain FOR sr_admin.wDomain;
CREATE SYNONYM wDomPrs FOR sr_admin.wDomPrs;
CREATE SYNONYM wDomVal FOR sr_admin.wDomVal;
CREATE SYNONYM wExtStru FOR sr_admin.wExtStru;
CREATE SYNONYM wItemPrs FOR sr_admin.wItemPrs;
CREATE SYNONYM wNSRRep FOR sr_admin.wNSRRep;
CREATE SYNONYM wProject FOR sr_admin.wProject;
CREATE SYNONYM wRepPrs FOR sr_admin.wRepPrs;
CREATE SYNONYM wRepres FOR sr_admin.wRepres;
CREATE SYNONYM wRule FOR sr_admin.wRule;
CREATE SYNONYM wSRRep FOR sr_admin.wSRRep;
CREATE SYNONYM wStruct FOR sr_admin.wStruct;
CREATE SYNONYM wStruNod FOR sr_admin.wStruNod;
CREATE SYNONYM wStruPrs FOR sr_admin.wStruPrs;
CREATE SYNONYM wSubStru FOR sr_admin.wSubStru;
CREATE SYNONYM wTargSys FOR sr_admin.wTargSys;
CREATE SYNONYM wTypePrs FOR sr_admin.wTypePrs;
CREATE SYNONYM wUFldVal FOR sr_admin.wUFldVal;
CREATE SYNONYM wUser FOR sr_admin.wUser;
CREATE SYNONYM wUserFld FOR sr_admin.wUserFld;
CREATE SYNONYM zChkTran FOR sr_admin.zChkTran;
CREATE SYNONYM zChkUsed FOR sr_admin.zChkUsed;
CREATE SYNONYM zConnect FOR sr_admin.zConnect;
CREATE SYNONYM zControl FOR sr_admin.zControl;
CREATE SYNONYM zModule FOR sr_admin.zModule;


/*
Number of synonyms created for the user */
select count(*) from USER_SYNONYMS 
	where TABLE_OWNER = 'SR_ADMIN';
	
spool off;
set echo off;
