set echo off;
spool tables.lst;

/************************************************************************************
*                               													*
*   tables.sql         SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                               													*
*************************************************************************************
*                               													*
*   Connect under:          			Se connecter sous:      					*
*                               													*
*   sr_admin.               			sr_admin.           						*
*                               													*
*************************************************************************************
*                               													*
*   Description:            			Description:       							*
*                               													*
*   Script creating SILVERRUN tables.   Script creant les tables SILVERRUN. 		*
*                               													*
************************************************************************************/


CREATE TABLE dCell
(
  dBorderB CHAR(1),
  dBorderR CHAR(1),
  dBottom NUMBER(10, 0),
  dColumnID NUMBER(5, 0),
  dFontName VARCHAR2(240),
  dFontSize NUMBER(5, 0),
  dFontStyle NUMBER(5, 0),
  dFrmAlign CHAR(1),
  dHorAlign NUMBER(5, 0),
  dKey NUMBER(19, 0),
  dLeft NUMBER(10, 0),
  dLineID NUMBER(5, 0),
  dProcFrmK NUMBER(10, 0),
  dRight NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dText VARCHAR2(240),
  dTop NUMBER(10, 0),
  dVerAlign NUMBER(5, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dCpnProc
(
  dComment NUMBER(10, 0),
  dComponK NUMBER(10, 0),
  dCorrCatK NUMBER(10, 0),
  dCreatDate DATE,
  dKey NUMBER(19, 0),
  dModifDate DATE,
  dProcessK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dCpnStor
(
  dComment NUMBER(10, 0),
  dComponK NUMBER(10, 0),
  dCorrCatK NUMBER(10, 0),
  dCreatDate DATE,
  dKey NUMBER(19, 0),
  dModifDate DATE,
  dSRRepK NUMBER(10, 0),
  dStoreK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dDiag
(
  dAutoFit CHAR(1),
  dBgndColrB NUMBER(5, 0),
  dBgndColrG NUMBER(5, 0),
  dBgndColrR NUMBER(5, 0),
  dGridActiv CHAR(1),
  dGridDisp CHAR(1),
  dGridHeigt NUMBER(10, 0),
  dGridWidth NUMBER(10, 0),
  dHorNbPage NUMBER(10, 0),
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dNxtRGId NUMBER(10, 0),
  dOriPagNbr NUMBER(5, 0),
  dPageHeigh NUMBER(10, 0),
  dPageNoPos NUMBER(5, 0),
  dPageSetup NUMBER(10, 0),
  dPageShown CHAR(1),
  dPageWidth NUMBER(10, 0),
  dPrintColr CHAR(1),
  dPrintFit CHAR(1),
  dProcessK NUMBER(10, 0),
  dProcHierK NUMBER(10, 0),
  dReposLabl CHAR(1),
  dSRRepK NUMBER(10, 0),
  dTreeOpt NUMBER(5, 0),
  dUpdated CHAR(1),
  dVerNbPage NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dDispDes
(
  dDesId NUMBER(10, 0),
  dFilterKey NUMBER(19, 0),
  dKey NUMBER(19, 0),
  dSequence NUMBER(5, 0),
  dSortDesId NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dUserFldK NUMBER(10, 0),
  dZoneK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dExEnGR
(
  dExEnGRK NUMBER(10, 0),
  dExEnPrsK NUMBER(10, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dNbDuplic NUMBER(5, 0),
  dNoDuplic NUMBER(5, 0),
  dQualGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dExEnPrs
(
  dExtEntK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dProcessK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dExtEnt
(
  dAlias VARCHAR2(240),
  dCodedName VARCHAR2(240),
  dComment NUMBER(10, 0),
  dControl CHAR(1),
  dDescript VARCHAR2(240),
  dId NUMBER(5, 0),
  dKey NUMBER(19, 0),
  dName VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFigure
(
  dCategory NUMBER(5, 0),
  dFigurGRK NUMBER(10, 0),
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFigurGR
(
  dFigureK NUMBER(10, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFlow
(
  dAlias VARCHAR2(240),
  dArrow1 CHAR(1),
  dArrow2 CHAR(1),
  dChoi1Conc NUMBER(10, 0),
  dChoi2Conc NUMBER(10, 0),
  dChoice1K NUMBER(10, 0),
  dChoice2K NUMBER(10, 0),
  dCodedName VARCHAR2(240),
  dComment NUMBER(10, 0),
  dContFlowK NUMBER(10, 0),
  dControl CHAR(1),
  dDiscrete CHAR(1),
  dEmisCond VARCHAR2(240),
  dFlowGRK NUMBER(10, 0),
  dFrequency NUMBER(10, 0),
  dId VARCHAR2(240),
  dKey NUMBER(19, 0),
  dName VARCHAR2(240),
  dProcessK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dStructK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFlowGR
(
  dChoi1Conc NUMBER(10, 0),
  dChoi2Conc NUMBER(10, 0),
  dChoice1K NUMBER(10, 0),
  dChoice2K NUMBER(10, 0),
  dFlowK NUMBER(10, 0),
  dFlowType NUMBER(5, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dPoints RAW(240),
  dQualGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFont
(
  dDesCatPfx VARCHAR2(240),
  dDesCatSty NUMBER(5, 0),
  dDiagK NUMBER(10, 0),
  dId NUMBER(5, 0),
  dKey NUMBER(19, 0),
  dName VARCHAR2(240),
  dPfxDisp CHAR(1),
  dSize NUMBER(5, 0),
  dSRRepK NUMBER(10, 0),
  dStyle NUMBER(5, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFText
(
  dFontName VARCHAR2(240),
  dFontSize NUMBER(5, 0),
  dFontStyle NUMBER(5, 0),
  dFTextGRK NUMBER(10, 0),
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  dText NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dFTextGR
(
  dFtextK NUMBER(10, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dGrapRep
(
  dActColr CHAR(1),
  dBgColr CHAR(1),
  dBgndColrB NUMBER(5, 0),
  dBgndColrG NUMBER(5, 0),
  dBgndColrR NUMBER(5, 0),
  dBottom NUMBER(10, 0),
  dDiagK NUMBER(10, 0),
  dDotted CHAR(1),
  dFgndColrB NUMBER(5, 0),
  dFgndColrG NUMBER(5, 0),
  dFgndColrR NUMBER(5, 0),
  dHidden CHAR(1),
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dLeft NUMBER(10, 0),
  dOutlined CHAR(1),
  dRight NUMBER(10, 0),
  dSpecConc NUMBER(10, 0),
  dSpecK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dTextColr CHAR(1),
  dTextColrB NUMBER(5, 0),
  dTextColrG NUMBER(5, 0),
  dTextColrR NUMBER(5, 0),
  dTop NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dLabelGR
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dLabelGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dZoneK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dLine
(
  dCategory NUMBER(5, 0),
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dLineGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dLineGR
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dLineK NUMBER(10, 0),
  dPoints RAW(240),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dLinkGR
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dNodeK NUMBER(10, 0),
  dOrder NUMBER(10, 0),
  dParNodGrK NUMBER(10, 0),
  dPoints RAW(240),
  dRoNodeGrK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dNode
(
  dDeep NUMBER(5, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dLinkGRK NUMBER(10, 0),
  dNodeCK NUMBER(10, 0),
  dNodeK NUMBER(10, 0),
  dProcessK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dPictGR
(
  dBottom NUMBER(10, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dLeft NUMBER(10, 0),
  dPicture NUMBER(10, 0),
  dPictureK NUMBER(10, 0),
  dRight NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dTop NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dPicture
(
  dCategory NUMBER(5, 0),
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dPictGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dProcess
(
  dAlias VARCHAR2(240),
  dAnID VARCHAR2(240),
  dCodedName VARCHAR2(240),
  dComment NUMBER(10, 0),
  dControl CHAR(1),
  dDiagHierK NUMBER(10, 0),
  dDiagK NUMBER(10, 0),
  dExploded CHAR(1),
  dExternal CHAR(1),
  dFixedCost FLOAT,
  dFixedTime FLOAT,
  dFixTimUnt NUMBER(5, 0),
  dHierAnID VARCHAR2(240),
  dHierNumID VARCHAR2(240),
  dKey NUMBER(19, 0),
  dName VARCHAR2(240),
  dNumID NUMBER(5, 0),
  dNxtProcId NUMBER(5, 0),
  dPaProcK NUMBER(10, 0),
  dPartCost FLOAT,
  dPartTime FLOAT,
  dPrtTimUnt NUMBER(5, 0),
  dRepresK NUMBER(10, 0),
  dRessCost FLOAT,
  dRessTime FLOAT,
  dResTimUnt NUMBER(5, 0),
  dSRRepK NUMBER(10, 0),
  dSynchRule VARCHAR2(240),
  dTotlCost FLOAT,
  dTotlTime FLOAT,
  dTotTimUnt NUMBER(5, 0),
  K NUMBER(10, 0) NOT NULL,
  wSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dProcFrm
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dProcessK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dProcGR
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dNbDuplic NUMBER(5, 0),
  dNoDuplic NUMBER(5, 0),
  dProcessK NUMBER(10, 0),
  dProcPrsK NUMBER(10, 0),
  dQualGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dProcPrs
(
  dKey NUMBER(19, 0),
  dProcProcK NUMBER(10, 0),
  dPrsProcK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dQualGR
(
  dChoiceK NUMBER(10, 0),
  dChoiConc NUMBER(10, 0),
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dQualif
(
  dAvailable CHAR(1),
  dComment NUMBER(10, 0),
  dIconId NUMBER(5, 0),
  dId VARCHAR2(240),
  dKey NUMBER(19, 0),
  dName VARCHAR2(240),
  dSequence NUMBER(5, 0),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dQulExEn
(
  dComment NUMBER(10, 0),
  dExtEntK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dQualif NUMBER(10, 0),
  dRate FLOAT,
  dRateUnit VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dQulFlow
(
  dComment NUMBER(10, 0),
  dFlowK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dQualif NUMBER(10, 0),
  dRate FLOAT,
  dRateUnit VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dQulProc
(
  dComment NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dProcessK NUMBER(10, 0),
  dQualif NUMBER(10, 0),
  dRate FLOAT,
  dRateUnit VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dQulSto
(
  dComment NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dQualif NUMBER(10, 0),
  dRate FLOAT,
  dRateUnit VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  dStoreK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dResourc
(
  dAlias VARCHAR2(240),
  dCategory VARCHAR2(240),
  dCodedName VARCHAR2(240),
  dComment NUMBER(10, 0),
  dCost FLOAT,
  dCstTimUnt NUMBER(5, 0),
  dId VARCHAR2(240),
  dKey NUMBER(19, 0),
  dName VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  dUserName VARCHAR2(240),
  dWorkLoad FLOAT,
  dWrkLodUnt NUMBER(5, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dResProc
(
  dComment NUMBER(10, 0),
  dDisplayed CHAR(1),
  dKey NUMBER(19, 0),
  dProcessK NUMBER(10, 0),
  dResourcK NUMBER(10, 0),
  dRole VARCHAR2(240),
  dSequence NUMBER(5, 0),
  dSRRepK NUMBER(10, 0),
  dUsageRate FLOAT,
  dUsgRatUnt NUMBER(5, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dStamp
(
  dId NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  dStampGRK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dStampGR
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dSRRepK NUMBER(10, 0),
  dStampK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dStore
(
  dAlias VARCHAR2(240),
  dCodedName VARCHAR2(240),
  dComment NUMBER(10, 0),
  dControl CHAR(1),
  dCreatDate DATE,
  dId NUMBER(5, 0),
  dKey NUMBER(19, 0),
  dModifDate DATE,
  dName VARCHAR2(240),
  dSRRepK NUMBER(10, 0),
  dStructK NUMBER(10, 0),
  dVolume NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dStoreGR
(
  dGrapRepK NUMBER(10, 0),
  dKey NUMBER(19, 0),
  dNbDuplic NUMBER(5, 0),
  dNoDuplic NUMBER(5, 0),
  dQualGRK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dStoreGRK NUMBER(10, 0),
  dStorPrsK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dStorPrs
(
  dKey NUMBER(19, 0),
  dProcessK NUMBER(10, 0),
  dSRRepK NUMBER(10, 0),
  dStoreK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE dZone
(
  dActive CHAR(1),
  dConceptId NUMBER(10, 0),
  dId NUMBER(5, 0),
  dJustifica NUMBER(5, 0),
  dKey NUMBER(19, 0),
  dSeparLine CHAR(1),
  dSRRepK NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rActCat
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCategory NUMBER(5, 0),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rAction
(
  K NUMBER(10, 0) NOT NULL,
  rActCatK NUMBER(10, 0),
  rAlias VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rDefinit NUMBER(10, 0),
  rFrequency FLOAT,
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rNameShown CHAR(1),
  rPeriod VARCHAR2(240),
  rPostCond NUMBER(10, 0),
  rPreCond NUMBER(10, 0),
  rProcK NUMBER(10, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSupActK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rAttrSet
(
  K NUMBER(10, 0) NOT NULL,
  rAlignment NUMBER(5, 0),
  rAttrSetK NUMBER(10, 0),
  rBlobType NUMBER(5, 0),
  rComment NUMBER(10, 0),
  rCtrlClass VARCHAR2(240),
  rCurrency CHAR(1),
  rDispFmt VARCHAR2(240),
  rDispLabel VARCHAR2(240),
  rDispVals VARCHAR2(240),
  rDispWidth NUMBER(5, 0),
  rEditFmt VARCHAR2(240),
  rEditMask VARCHAR2(240),
  rFldClass VARCHAR2(240),
  rKey NUMBER(19, 0),
  rMaxValue FLOAT,
  rMinValue FLOAT,
  rName VARCHAR2(240),
  rPrecision NUMBER(5, 0),
  rReadOnly CHAR(1),
  rRequired CHAR(1),
  rSRRepK NUMBER(10, 0),
  rTranslit CHAR(1),
  rVisible CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rBlkCfg
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rFreePage NUMBER(5, 0),
  rInitrans NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rMaxtrans NUMBER(5, 0),
  rName VARCHAR2(240),
  rPctFree NUMBER(5, 0),
  rPctUsed NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSupBlkCfK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rUniform CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rChoice
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rCombinK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rGenCol CHAR(1),
  rKey NUMBER(19, 0),
  rMaxConn VARCHAR2(240),
  rMinConn VARCHAR2(240),
  rName VARCHAR2(240),
  rNameCalc CHAR(1),
  rSpecializ CHAR(1),
  rSRRepK NUMBER(10, 0),
  rSupChoiK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rChoiceG
(
  K NUMBER(10, 0) NOT NULL,
  rChoiceK NUMBER(10, 0),
  rChoiLnGK NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLabelGK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rChoiLnG
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rChoiceGK NUMBER(10, 0),
  rConnvGK NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rPoints RAW(240),
  rSRRepK NUMBER(10, 0),
  rTableGK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rColAct
(
  K NUMBER(10, 0) NOT NULL,
  rActionK NUMBER(10, 0),
  rColumnK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rPostCond NUMBER(10, 0),
  rPreCond NUMBER(10, 0),
  rSpecif NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rSymbol VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rColumn
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAliasCalc CHAR(1),
  rAllocate VARCHAR2(240),
  rAttrSetK NUMBER(10, 0),
  rCaseSens CHAR(1),
  rCategory NUMBER(5, 0),
  rCcsid VARCHAR2(240),
  rCNameCalc CHAR(1),
  rCodedName VARCHAR2(240),
  rCombinK NUMBER(10, 0),
  rComItemK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rCommId VARCHAR2(240),
  rCreatDate DATE,
  rDb2SubTyp NUMBER(5, 0),
  rDefaultK NUMBER(10, 0),
  rDefVal VARCHAR2(240),
  rDerivCopy CHAR(1),
  rDerivFn CHAR(1),
  rDerivRule NUMBER(10, 0),
  rDomainK NUMBER(10, 0),
  rIBIColK NUMBER(10, 0),
  rIdentity CHAR(1),
  rInserSpec VARCHAR2(240),
  rKey NUMBER(19, 0),
  rLabel VARCHAR2(240),
  rLabHead VARCHAR2(240),
  rLength NUMBER(5, 0),
  rModifDate DATE,
  rName VARCHAR2(240),
  rNameCalc CHAR(1),
  rNameShown CHAR(1),
  rNbDecimal NUMBER(5, 0),
  rNestedTab CHAR(1),
  rNullPoss CHAR(1),
  rObjName VARCHAR2(240),
  rPicture VARCHAR2(240),
  rProcK NUMBER(10, 0),
  rQuerySpec VARCHAR2(240),
  rRef CHAR(1),
  rRowID CHAR(1),
  rRuleK NUMBER(10, 0),
  rScope CHAR(1),
  rSDColnK NUMBER(10, 0),
  rSequence NUMBER(5, 0),
  rSequPart NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rStorName VARCHAR2(240),
  rSupColK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSvAliCalc CHAR(1),
  rSvwAlias VARCHAR2(240),
  rSvwColK NUMBER(10, 0),
  rSysName VARCHAR2(240),
  rTableK NUMBER(10, 0),
  rTabPartK NUMBER(10, 0),
  rTemporary CHAR(1),
  rUpdatSpec VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rColVal
(
  K NUMBER(10, 0) NOT NULL,
  rColumnK NUMBER(10, 0),
  rDescript VARCHAR2(240),
  rKey NUMBER(19, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSupValue VARCHAR2(240),
  rValue VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rCombCol
(
  K NUMBER(10, 0) NOT NULL,
  rAscending CHAR(1),
  rColumnK NUMBER(10, 0),
  rCombColK NUMBER(10, 0),
  rCombinK NUMBER(10, 0),
  rCommInfo VARCHAR2(240),
  rDerivDirK NUMBER(10, 0),
  rDirectK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLookUpDir NUMBER(5, 0),
  rRedirColK NUMBER(10, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rUseInPart CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rCombDir
(
  K NUMBER(10, 0) NOT NULL,
  rCombinK NUMBER(10, 0),
  rDirectK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rCombin
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCategory NUMBER(5, 0),
  rChoiceK NUMBER(10, 0),
  rCodedName VARCHAR2(240),
  rCombinK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rCommId VARCHAR2(240),
  rDeferable CHAR(1),
  rDerivColK NUMBER(10, 0),
  rDirectK NUMBER(10, 0),
  rIndexK NUMBER(10, 0),
  rIsDefered CHAR(1),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rNameCalc CHAR(1),
  rNumber NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSupCombK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rCompTbl
(
  K NUMBER(10, 0) NOT NULL,
  rComment NUMBER(10, 0),
  rComponK NUMBER(10, 0),
  rCorrCatK NUMBER(10, 0),
  rCreatDate DATE,
  rDstTableK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rModifDate DATE,
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rConcAcc
(
  K NUMBER(10, 0) NOT NULL,
  rArgument NUMBER(10, 0),
  rCommand NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rSequence NUMBER(5, 0),
  rSortArg NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rZoneK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rConnect
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rIsByTrig CHAR(1),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rNameCalc CHAR(1),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rConnG
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rChoi1Conc NUMBER(10, 0),
  rChoi2Conc NUMBER(10, 0),
  rChoice1K NUMBER(10, 0),
  rChoice2K NUMBER(10, 0),
  rConnectK NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rPoints RAW(240),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rConnvG
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rChoiceGK NUMBER(10, 0),
  rChoiceK NUMBER(10, 0),
  rChoiConc NUMBER(10, 0),
  rChoiGConc NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rConstr
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCategory VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rColumnK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rDeferable CHAR(1),
  rDefinit NUMBER(10, 0),
  rErrMsgK NUMBER(10, 0),
  rIsDefered CHAR(1),
  rKey NUMBER(19, 0),
  rLocal CHAR(1),
  rName VARCHAR2(240),
  rReplicat CHAR(1),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSupConstK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rContent
(
  K NUMBER(10, 0) NOT NULL,
  rBlue NUMBER(5, 0),
  rComment NUMBER(10, 0),
  rDefName VARCHAR2(240),
  rDiagramK NUMBER(10, 0),
  rGreen NUMBER(5, 0),
  rHeight NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rRed NUMBER(5, 0),
  rShaded NUMBER(5, 0),
  rShape NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rWidth NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rDatabas
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAlteredTS VARCHAR2(240),
  rArchivLog CHAR(1),
  rAsp VARCHAR2(240),
  rBufPool VARCHAR2(240),
  rCharSet VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rCreatedTS VARCHAR2(240),
  rDataDict CHAR(1),
  rEncoding NUMBER(5, 0),
  rForLoad CHAR(1),
  rGroupMem VARCHAR2(240),
  rHWaterM NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLogPath VARCHAR2(240),
  rLWaterM NUMBER(10, 0),
  rMaxDatFil NUMBER(5, 0),
  rMaxInstnc NUMBER(5, 0),
  rMaxLgMemb NUMBER(5, 0),
  rMaxLogFil NUMBER(5, 0),
  rMaxLogHst NUMBER(5, 0),
  rModAnsi CHAR(1),
  rName VARCHAR2(240),
  rOlLog NUMBER(5, 0),
  rPromPct NUMBER(5, 0),
  rRoshare NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rStogrpK NUMBER(10, 0),
  rTabspcK NUMBER(10, 0),
  rType CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rDescAcc
(
  K NUMBER(10, 0) NOT NULL,
  rArgument NUMBER(10, 0),
  rCommand NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSubZoneK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rDiagram
(
  K NUMBER(10, 0) NOT NULL,
  rActShown CHAR(1),
  rAncCopied CHAR(1),
  rAncNoUsed CHAR(1),
  rAutoAddGR CHAR(1),
  rAutoFit CHAR(1),
  rBgndColrB NUMBER(5, 0),
  rBgndColrG NUMBER(5, 0),
  rBgndColrR NUMBER(5, 0),
  rCharShown NUMBER(5, 0),
  rChCvShn CHAR(1),
  rChDirSym NUMBER(5, 0),
  rChLbShn CHAR(1),
  rChoiCvShn CHAR(1),
  rChoiLbShn CHAR(1),
  rChSymPos NUMBER(5, 0),
  rColDescX NUMBER(5, 0),
  rColorPrt CHAR(1),
  rColShown CHAR(1),
  rConnDivd CHAR(1),
  rConnLbShn CHAR(1),
  rConnvPos NUMBER(5, 0),
  rContentK NUMBER(10, 0),
  rDefShown CHAR(1),
  rDepDirSym NUMBER(5, 0),
  rDerivShn CHAR(1),
  rDirNoShn CHAR(1),
  rDomShown CHAR(1),
  rForKShown CHAR(1),
  rGridActiv CHAR(1),
  rGridHeigh NUMBER(10, 0),
  rGridShown CHAR(1),
  rGridWidth NUMBER(10, 0),
  rHorNbPage NUMBER(10, 0),
  rIdenShown CHAR(1),
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLastGraph NUMBER(10, 0),
  rLenShown CHAR(1),
  rLvlAncShn CHAR(1),
  rLvlNamShn CHAR(1),
  rLvlNoShn CHAR(1),
  rMax1Sym NUMBER(5, 0),
  rMaxCvShn CHAR(1),
  rMaxNSym NUMBER(5, 0),
  rMaxSymShn CHAR(1),
  rMin0Sym NUMBER(5, 0),
  rMin1Sym NUMBER(5, 0),
  rMinCvShn CHAR(1),
  rMinNSym NUMBER(5, 0),
  rMinSymShn CHAR(1),
  rName VARCHAR2(240),
  rNeColShn NUMBER(5, 0),
  rNeiCopied CHAR(1),
  rNulShown CHAR(1),
  rOrient NUMBER(5, 0),
  rPageHeigh NUMBER(10, 0),
  rPageNoPos NUMBER(5, 0),
  rPageSetup NUMBER(10, 0),
  rPageShown CHAR(1),
  rPageWidth NUMBER(10, 0),
  rParCvShn CHAR(1),
  rParLbShn CHAR(1),
  rPfxAlign CHAR(1),
  rPicShown CHAR(1),
  rPrintFit CHAR(1),
  rReposCol CHAR(1),
  rReposLabl CHAR(1),
  rSpecCvShn CHAR(1),
  rSpecLbShn CHAR(1),
  rSpecShown CHAR(1),
  rSRRepK NUMBER(10, 0),
  rSymCvPos NUMBER(5, 0),
  rTabDescX NUMBER(5, 0),
  rTypShown CHAR(1),
  rUserShown CHAR(1),
  rVerNbPage NUMBER(10, 0),
  rViewPoint NUMBER(5, 0),
  rXCatShown CHAR(1),
  rXShown CHAR(1),
  rXUniShown CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rDim
(
  K NUMBER(10, 0) NOT NULL,
  rColumnK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rDimPerK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rMaxNbOcc NUMBER(5, 0),
  rMDIndexK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rDirect
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAvgConn FLOAT,
  rAvgGrow FLOAT,
  rChild CHAR(1),
  rChoiceK NUMBER(10, 0),
  rCodedName VARCHAR2(240),
  rCombColK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rCommId VARCHAR2(240),
  rConnectK NUMBER(10, 0),
  rCreatDate DATE,
  rDeletRule VARCHAR2(240),
  rDerivAll CHAR(1),
  rDerivTmp CHAR(1),
  rDstTableK NUMBER(10, 0),
  rExtremity NUMBER(5, 0),
  rIBIDirK NUMBER(10, 0),
  rInserRule VARCHAR2(240),
  rIsNonKey CHAR(1),
  rKey NUMBER(19, 0),
  rMaxConn VARCHAR2(240),
  rMaxGrow NUMBER(10, 0),
  rMinConn VARCHAR2(240),
  rModalConn NUMBER(10, 0),
  rModalGrow NUMBER(10, 0),
  rModifDate DATE,
  rName VARCHAR2(240),
  rNameCalc CHAR(1),
  rNameShown CHAR(1),
  rNumber NUMBER(5, 0),
  rOppDirK NUMBER(10, 0),
  rOppDirK2 NUMBER(10, 0),
  rPercent NUMBER(5, 0),
  rPeriod VARCHAR2(240),
  rSelecRule VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  rSupDirK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rTableK NUMBER(10, 0),
  rTemporary CHAR(1),
  rUpdatRule VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rErrMsg
(
  K NUMBER(10, 0) NOT NULL,
  rComment NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rNumber VARCHAR2(240),
  rReplace CHAR(1),
  rReplicat CHAR(1),
  rSeverity NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSupErrMK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rText NUMBER(10, 0),
  rWithLog CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rFigure
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rFigureGK NUMBER(10, 0),
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rFigureG
(
  K NUMBER(10, 0) NOT NULL,
  rFigureK NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rFile
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCateg NUMBER(5, 0),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rDataDBK NUMBER(10, 0),
  rDelFile CHAR(1),
  rDeviceTyp VARCHAR2(240),
  rGrowth NUMBER(10, 0),
  rGrowthU NUMBER(5, 0),
  rGrowthUn CHAR(1),
  rKey NUMBER(19, 0),
  rLogDBK NUMBER(10, 0),
  rMaxSize NUMBER(10, 0),
  rMaxSizeU NUMBER(5, 0),
  rMirName VARCHAR2(240),
  rNamDisc VARCHAR2(240),
  rName VARCHAR2(240),
  rPrimFile CHAR(1),
  rReuse CHAR(1),
  rSize NUMBER(10, 0),
  rSizeUnit NUMBER(5, 0),
  rSizeUSrv NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rStogrpK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupFilK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rFilSgrp
(
  K NUMBER(10, 0) NOT NULL,
  rFileK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  rStogrpK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rFilTbsp
(
  K NUMBER(10, 0) NOT NULL,
  rFileK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  rTabspcK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rFont
(
  K NUMBER(10, 0) NOT NULL,
  rDesCatPfx VARCHAR2(240),
  rDesCatSty NUMBER(5, 0),
  rDiagramK NUMBER(10, 0),
  rIdent NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rPfxDisp CHAR(1),
  rSize NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rStyle NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rGraphic
(
  K NUMBER(10, 0) NOT NULL,
  rActColr CHAR(1),
  rBgBlue NUMBER(5, 0),
  rBgColr CHAR(1),
  rBgGreen NUMBER(5, 0),
  rBgRed NUMBER(5, 0),
  rBlue NUMBER(5, 0),
  rBottom NUMBER(10, 0),
  rDiagramK NUMBER(10, 0),
  rDotted CHAR(1),
  rGreen NUMBER(5, 0),
  rHidden CHAR(1),
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLeft NUMBER(10, 0),
  rOutlined CHAR(1),
  rRed NUMBER(5, 0),
  rRight NUMBER(10, 0),
  rSpecConc NUMBER(10, 0),
  rSpecK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rTextBlue NUMBER(5, 0),
  rTextColr CHAR(1),
  rTextGreen NUMBER(5, 0),
  rTextRed NUMBER(5, 0),
  rTop NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBICol
(
  K NUMBER(10, 0) NOT NULL,
  rAccMeth NUMBER(5, 0),
  rActual VARCHAR2(240),
  rColumnK NUMBER(10, 0),
  rDefCent NUMBER(5, 0),
  rDescript VARCHAR2(240),
  rGroup CHAR(1),
  rHelpMsg VARCHAR2(240),
  rIBIColFK NUMBER(10, 0),
  rIBIColGK NUMBER(10, 0),
  rIBIColWK NUMBER(10, 0),
  rIBILocK NUMBER(10, 0),
  rIBISecK NUMBER(10, 0),
  rIndexType NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rMissMeth NUMBER(5, 0),
  rRangeFrom VARCHAR2(240),
  rRangeTo VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  rTitle VARCHAR2(240),
  rYrThresh NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBIDir
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rDirectK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rOnly CHAR(1),
  rRelType NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBILink
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rIBIDirK NUMBER(10, 0),
  rIBITabK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBILoc
(
  K NUMBER(10, 0) NOT NULL,
  rKey NUMBER(19, 0),
  rMDIndexK NUMBER(10, 0),
  rName VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBIMFD
(
  K NUMBER(10, 0) NOT NULL,
  rAccFName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rDefCent NUMBER(5, 0),
  rFileType VARCHAR2(240),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rPhysFName VARCHAR2(240),
  rSRRepDefK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rYrThresh NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBISec
(
  K NUMBER(10, 0) NOT NULL,
  rEncrypt CHAR(1),
  rIBILocK NUMBER(10, 0),
  rIBITabK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIBITab
(
  K NUMBER(10, 0) NOT NULL,
  rEncrypt CHAR(1),
  rIBILocK NUMBER(10, 0),
  rIBIMFDK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rSortOrder NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIndex
(
  K NUMBER(10, 0) NOT NULL,
  rAbbr CHAR(1),
  rAlias VARCHAR2(240),
  rAlteredTS VARCHAR2(240),
  rBitmap CHAR(1),
  rBlkCfgK NUMBER(10, 0),
  rBufPool VARCHAR2(240),
  rCategory VARCHAR2(240),
  rClose CHAR(1),
  rCodedName VARCHAR2(240),
  rCombinK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rCreatedTS VARCHAR2(240),
  rDefDegree CHAR(1),
  rDefer CHAR(1),
  rDefInstnc CHAR(1),
  rDegree NUMBER(5, 0),
  rDropExist CHAR(1),
  rDSetPass VARCHAR2(240),
  rErase CHAR(1),
  rFileGrpD CHAR(1),
  rFillFact NUMBER(5, 0),
  rFreeList NUMBER(10, 0),
  rFreePage NUMBER(5, 0),
  rGbpcache NUMBER(5, 0),
  rGlobal CHAR(1),
  rIgnorDupK CHAR(1),
  rInitExtnt NUMBER(10, 0),
  rInitrans NUMBER(5, 0),
  rInitUnit NUMBER(5, 0),
  rInstances NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rKeyComp CHAR(1),
  rLeafFill NUMBER(5, 0),
  rMaxExtnt NUMBER(10, 0),
  rMaxtrans NUMBER(5, 0),
  rMinExtnt NUMBER(10, 0),
  rName VARCHAR2(240),
  rNextExtnt NUMBER(10, 0),
  rNextUnit NUMBER(5, 0),
  rNoLeafFil NUMBER(5, 0),
  rNoStat CHAR(1),
  rOrigUserK NUMBER(10, 0),
  rPadded CHAR(1),
  rParallel CHAR(1),
  rPctFree NUMBER(5, 0),
  rPctIncrs NUMBER(5, 0),
  rPersist CHAR(1),
  rPiecesize NUMBER(5, 0),
  rRowDupOpt NUMBER(5, 0),
  rSortdata CHAR(1),
  rSRRepK NUMBER(10, 0),
  rStoCfgK NUMBER(10, 0),
  rStogrpK NUMBER(10, 0),
  rStrucType NUMBER(5, 0),
  rSubPage NUMBER(5, 0),
  rType NUMBER(5, 0),
  rUnique CHAR(1),
  rVcat VARCHAR2(240),
  rWhNotNull CHAR(1),
  rWord CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rIndTbsp
(
  K NUMBER(10, 0) NOT NULL,
  rIndexK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rRglFrgm VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  rTabspcK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rLabelG
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rChoiceGK NUMBER(10, 0),
  rChoiceK NUMBER(10, 0),
  rChoiConc NUMBER(10, 0),
  rChoiGConc NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rLine
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLineGK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rLineG
(
  K NUMBER(10, 0) NOT NULL,
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLineK NUMBER(10, 0),
  rPoints RAW(240),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rMDIndex
(
  K NUMBER(10, 0) NOT NULL,
  rComment NUMBER(10, 0),
  rIBILocK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rPart
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rBlkCfgK NUMBER(10, 0),
  rBufPool VARCHAR2(240),
  rCategory NUMBER(5, 0),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rCompress CHAR(1),
  rErase CHAR(1),
  rFreeList NUMBER(10, 0),
  rFreeLsGrp NUMBER(10, 0),
  rFreePage NUMBER(5, 0),
  rGbpcache NUMBER(5, 0),
  rIndexK NUMBER(10, 0),
  rInitExtnt NUMBER(10, 0),
  rInitrans NUMBER(5, 0),
  rInitUnit NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rMaxExtnt NUMBER(10, 0),
  rMaxtrans NUMBER(5, 0),
  rMinExtnt NUMBER(10, 0),
  rName VARCHAR2(240),
  rNextExtnt NUMBER(10, 0),
  rNextUnit NUMBER(5, 0),
  rOptimal NUMBER(10, 0),
  rPartNum NUMBER(5, 0),
  rPctFree NUMBER(5, 0),
  rPctIncrs NUMBER(5, 0),
  rPctUsed NUMBER(5, 0),
  rSequInd NUMBER(5, 0),
  rSequTab NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rStoCfgK NUMBER(10, 0),
  rStogrpK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupPartK NUMBER(10, 0),
  rTableK NUMBER(10, 0),
  rTablespcK NUMBER(10, 0),
  rTabspcStK NUMBER(10, 0),
  rValue VARCHAR2(240),
  rVcat VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rPictG
(
  K NUMBER(10, 0) NOT NULL,
  rBottom NUMBER(10, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rLeft NUMBER(10, 0),
  rPicture NUMBER(10, 0),
  rPictureK NUMBER(10, 0),
  rRight NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rTop NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rPicture
(
  K NUMBER(10, 0) NOT NULL,
  rCategory NUMBER(5, 0),
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rPictGK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rProc
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCateg NUMBER(5, 0),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rConstList VARCHAR2(240),
  rDbaPriv CHAR(1),
  rDefinit NUMBER(10, 0),
  rDetermini NUMBER(5, 0),
  rExtLang NUMBER(5, 0),
  rExtName VARCHAR2(240),
  rIsFunct CHAR(1),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rOrigUserK NUMBER(10, 0),
  rParam NUMBER(10, 0),
  rParmStyle NUMBER(5, 0),
  rRecompil CHAR(1),
  rResSets VARCHAR2(240),
  rSpecName VARCHAR2(240),
  rSqlDatAcc NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupProcK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rRelCol
(
  K NUMBER(10, 0) NOT NULL,
  rColumn1K NUMBER(10, 0),
  rColumn2K NUMBER(10, 0),
  rConnectK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rRelatOper NUMBER(5, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rRollSeg
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rInitExtnt NUMBER(10, 0),
  rInitUnit NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rMaxExtnt NUMBER(10, 0),
  rMinExtnt NUMBER(10, 0),
  rName VARCHAR2(240),
  rNextExtnt NUMBER(10, 0),
  rNextUnit NUMBER(5, 0),
  rOptimal NUMBER(10, 0),
  rOptimUnit NUMBER(5, 0),
  rPublic CHAR(1),
  rSRRepK NUMBER(10, 0),
  rStoCfgK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupRlbSgK NUMBER(10, 0),
  rTabspc NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSDColn
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAuthor VARCHAR2(240),
  rComItemK NUMBER(10, 0),
  rComment NUMBER(10, 0),
  rCreatDate DATE,
  rFullName VARCHAR2(240),
  rKey NUMBER(19, 0),
  rMaxSz NUMBER(5, 0),
  rModifDate DATE,
  rName VARCHAR2(240),
  rNbDecim NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rType NUMBER(5, 0),
  rVersion VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSDFld
(
  K NUMBER(10, 0) NOT NULL,
  rDescr1 VARCHAR2(240),
  rDescr2 VARCHAR2(240),
  rHelp NUMBER(10, 0),
  rInpMask VARCHAR2(240),
  rKey NUMBER(19, 0),
  rMaxAns NUMBER(5, 0),
  rMaxVal NUMBER(10, 0),
  rMinAns NUMBER(5, 0),
  rMinVal NUMBER(10, 0),
  rName VARCHAR2(240),
  rNumDec NUMBER(5, 0),
  rOutMask VARCHAR2(240),
  rPrompt VARCHAR2(240),
  rSDColnK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rType NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSDFldVl
(
  K NUMBER(10, 0) NOT NULL,
  rCode VARCHAR2(240),
  rDescr VARCHAR2(240),
  rKey NUMBER(19, 0),
  rSDFldK NUMBER(10, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSeq
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCache NUMBER(5, 0),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rCycle CHAR(1),
  rIncrement VARCHAR2(240),
  rKey NUMBER(19, 0),
  rMaxvalue VARCHAR2(240),
  rMinvalue VARCHAR2(240),
  rName VARCHAR2(240),
  rOrder CHAR(1),
  rOrigUserK NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rStartWith VARCHAR2(240),
  rSuperTs NUMBER(19, 0),
  rSupSeqK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSpecSym
(
  K NUMBER(10, 0) NOT NULL,
  rComment NUMBER(10, 0),
  rDescript VARCHAR2(240),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rStamp
(
  K NUMBER(10, 0) NOT NULL,
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  rStampGK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rStampG
(
  K NUMBER(10, 0) NOT NULL,
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  rStampK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rStoCfg
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rDatComp CHAR(1),
  rErase CHAR(1),
  rFillFact NUMBER(5, 0),
  rFreeList NUMBER(10, 0),
  rFreeLsGrp NUMBER(10, 0),
  rInitExtnt NUMBER(10, 0),
  rInitUnit NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rKeyComp CHAR(1),
  rLeafFill NUMBER(5, 0),
  rLockMode NUMBER(5, 0),
  rMaxExtnt NUMBER(10, 0),
  rMinExtnt NUMBER(10, 0),
  rName VARCHAR2(240),
  rNextExtnt NUMBER(10, 0),
  rNextUnit NUMBER(5, 0),
  rNoLeafFil NUMBER(5, 0),
  rOptimal NUMBER(10, 0),
  rOptimUnit NUMBER(5, 0),
  rPathName VARCHAR2(240),
  rPctIncrs NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rStrucType NUMBER(5, 0),
  rSuperTs NUMBER(19, 0),
  rSupStrCfK NUMBER(10, 0),
  rUniform CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rStogrp
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAlteredTS VARCHAR2(240),
  rCatlgName VARCHAR2(240),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rCreatedTS VARCHAR2(240),
  rDatabasK NUMBER(10, 0),
  rFileGDb NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rPassword VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupStgpK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSubZone
(
  K NUMBER(10, 0) NOT NULL,
  rActive CHAR(1),
  rBlue NUMBER(5, 0),
  rCombine CHAR(1),
  rComment NUMBER(10, 0),
  rDrawLine CHAR(1),
  rFontName VARCHAR2(240),
  rFontSize NUMBER(5, 0),
  rFontStyle NUMBER(5, 0),
  rFormat VARCHAR2(240),
  rGreen NUMBER(5, 0),
  rJustif NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rRed NUMBER(5, 0),
  rRelWeight NUMBER(5, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rTextIfNul VARCHAR2(240),
  rTroncate CHAR(1),
  rZoneK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSvwCol
(
  K NUMBER(10, 0) NOT NULL,
  rAutoNext CHAR(1),
  rCase NUMBER(5, 0),
  rColumnK NUMBER(10, 0),
  rEntryDef VARCHAR2(240),
  rFieldSize NUMBER(5, 0),
  rFormatSvw CHAR(1),
  rHelpId NUMBER(5, 0),
  rIsHidden CHAR(1),
  rKey NUMBER(19, 0),
  rLabel VARCHAR2(240),
  rLabelCalc CHAR(1),
  rNoEntry CHAR(1),
  rPicture VARCHAR2(240),
  rQueryDef VARCHAR2(240),
  rRequired CHAR(1),
  rSRRepK NUMBER(10, 0),
  rTitle VARCHAR2(240),
  rTitleCalc CHAR(1),
  rUpdateOk CHAR(1),
  rValidate CHAR(1),
  rValueSvw CHAR(1),
  rVerify CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rSvwFmt
(
  K NUMBER(10, 0) NOT NULL,
  rAlign NUMBER(5, 0),
  rCase NUMBER(5, 0),
  rCheckText VARCHAR2(240),
  rColumnK NUMBER(10, 0),
  rFmt4gl VARCHAR2(240),
  rFmtMask VARCHAR2(240),
  rFontColor NUMBER(10, 0),
  rFontName VARCHAR2(240),
  rFontSize NUMBER(5, 0),
  rFontStyle NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupSvFmtK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rTable
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAlteredTS VARCHAR2(240),
  rAudit NUMBER(5, 0),
  rAvgGrow FLOAT,
  rAvgRow FLOAT,
  rBlkCfgK NUMBER(10, 0),
  rBlocking NUMBER(10, 0),
  rCache CHAR(1),
  rCategory NUMBER(5, 0),
  rCodedName VARCHAR2(240),
  rCommDate DATE,
  rComment NUMBER(10, 0),
  rCommId VARCHAR2(240),
  rCreatDate DATE,
  rCreatedTS VARCHAR2(240),
  rDataCapt NUMBER(5, 0),
  rDatComp CHAR(1),
  rDdsType NUMBER(5, 0),
  rDefDegree CHAR(1),
  rDefInstnc CHAR(1),
  rDegree NUMBER(5, 0),
  rDropRestr CHAR(1),
  rDumpName VARCHAR2(240),
  rEncoding NUMBER(5, 0),
  rFileGrCol CHAR(1),
  rFileGrDef CHAR(1),
  rFillFact NUMBER(5, 0),
  rFreeList NUMBER(10, 0),
  rFreeLsGrp NUMBER(10, 0),
  rIBITabK NUMBER(10, 0),
  rInitExtnt NUMBER(10, 0),
  rInitrans NUMBER(5, 0),
  rInitUnit NUMBER(5, 0),
  rInstances NUMBER(5, 0),
  rIsMaster CHAR(1),
  rIsView CHAR(1),
  rJournal CHAR(1),
  rKey NUMBER(19, 0),
  rKeyComp CHAR(1),
  rLabel VARCHAR2(240),
  rLeafFill NUMBER(5, 0),
  rLockMode NUMBER(5, 0),
  rMaxExtnt NUMBER(10, 0),
  rMaxGrow NUMBER(10, 0),
  rMaxRow NUMBER(10, 0),
  rMaxtrans NUMBER(5, 0),
  rMinExtnt NUMBER(10, 0),
  rModalGrow NUMBER(10, 0),
  rModalRow NUMBER(10, 0),
  rModifDate DATE,
  rName VARCHAR2(240),
  rNbPart NUMBER(10, 0),
  rNextExtnt NUMBER(10, 0),
  rNextUnit NUMBER(5, 0),
  rNoLeafFil NUMBER(5, 0),
  rObjId VARCHAR2(240),
  rOrigUserK NUMBER(10, 0),
  rParallel CHAR(1),
  rPathName VARCHAR2(240),
  rPctFree NUMBER(5, 0),
  rPctIncrs NUMBER(5, 0),
  rPctUSed NUMBER(5, 0),
  rPeriod VARCHAR2(240),
  rPhysAcces VARCHAR2(240),
  rProcEditK NUMBER(10, 0),
  rProcVldK NUMBER(10, 0),
  rRowLength NUMBER(5, 0),
  rSelecRule NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rStoCfgK NUMBER(10, 0),
  rStrucType NUMBER(5, 0),
  rSuperTs NUMBER(19, 0),
  rSupTableK NUMBER(10, 0),
  rSvAliCalc CHAR(1),
  rSvwAlias VARCHAR2(240),
  rSvwLevel VARCHAR2(240),
  rSynonym VARCHAR2(240),
  rSysName VARCHAR2(240),
  rTabCol NUMBER(10, 0),
  rTabColSt NUMBER(10, 0),
  rTemporary CHAR(1),
  rTypFrgm NUMBER(5, 0),
  rViewCheck NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rTableG
(
  K NUMBER(10, 0) NOT NULL,
  rDuplicNo NUMBER(5, 0),
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rNbDuplic NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupTabGK NUMBER(10, 0),
  rTableK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rTabspc
(
  K NUMBER(10, 0) NOT NULL,
  rAlias VARCHAR2(240),
  rAlteredTS VARCHAR2(240),
  rBlkCfgK NUMBER(10, 0),
  rBufpool VARCHAR2(240),
  rCheckPt CHAR(1),
  rClose CHAR(1),
  rCodedName VARCHAR2(240),
  rComment NUMBER(10, 0),
  rCompress CHAR(1),
  rCreatedTS VARCHAR2(240),
  rDatabase CHAR(1),
  rDatabasK NUMBER(10, 0),
  rDsetpass VARCHAR2(240),
  rDump CHAR(1),
  rEncoding NUMBER(5, 0),
  rErase CHAR(1),
  rFreeList NUMBER(10, 0),
  rFreeLsGrp NUMBER(10, 0),
  rFreePage NUMBER(5, 0),
  rGbpcache NUMBER(5, 0),
  rInitExtnt NUMBER(10, 0),
  rInitUnit NUMBER(5, 0),
  rJournal CHAR(1),
  rKey NUMBER(19, 0),
  rLockmax VARCHAR2(240),
  rLockpart NUMBER(5, 0),
  rLocksize NUMBER(5, 0),
  rMaxExtnt NUMBER(10, 0),
  rMaxrows VARCHAR2(240),
  rMinExtnt NUMBER(10, 0),
  rName VARCHAR2(240),
  rNextExtnt NUMBER(10, 0),
  rNextUnit NUMBER(5, 0),
  rNumParts NUMBER(5, 0),
  rOptimal NUMBER(10, 0),
  rOptimUnit NUMBER(5, 0),
  rPctFree NUMBER(5, 0),
  rPctIncrs NUMBER(5, 0),
  rSegsize NUMBER(10, 0),
  rSRRepK NUMBER(10, 0),
  rStoCfgK NUMBER(10, 0),
  rStogrpK NUMBER(10, 0),
  rSuperTs NUMBER(19, 0),
  rSupTbspcK NUMBER(10, 0),
  rType NUMBER(5, 0),
  rVcat VARCHAR2(240),
  rWork CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rTabTbsp
(
  K NUMBER(10, 0) NOT NULL,
  rKey NUMBER(19, 0),
  rRglFrgm VARCHAR2(240),
  rSRRepK NUMBER(10, 0),
  rTableK NUMBER(10, 0),
  rTabspcK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rText
(
  K NUMBER(10, 0) NOT NULL,
  rFontName VARCHAR2(240),
  rFontSize NUMBER(5, 0),
  rFontStyle NUMBER(5, 0),
  rIdent NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  rText NUMBER(10, 0),
  rTextGK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rTextG
(
  K NUMBER(10, 0) NOT NULL,
  rGraphicK NUMBER(10, 0),
  rKey NUMBER(19, 0),
  rSRRepK NUMBER(10, 0),
  rTextK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE rZone
(
  K NUMBER(10, 0) NOT NULL,
  rAccesVec NUMBER(5, 0),
  rActive CHAR(1),
  rBlue NUMBER(5, 0),
  rComment NUMBER(10, 0),
  rContentK NUMBER(10, 0),
  rDrawLine CHAR(1),
  rGap NUMBER(10, 0),
  rGapIfEmpt NUMBER(10, 0),
  rGreen NUMBER(5, 0),
  rKey NUMBER(19, 0),
  rName VARCHAR2(240),
  rRed NUMBER(5, 0),
  rSequence NUMBER(5, 0),
  rSRRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE tImage
(
  K NUMBER(10, 0) NOT NULL,
  tImage LONG RAW,
  tSpecConc NUMBER(10, 0),
  tSpecK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE tItgParm
(
  K NUMBER(10, 0) NOT NULL,
  tItgParm LONG,
  tSpecConc NUMBER(10, 0),
  tSpecK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE tLongTxt
(
  K NUMBER(10, 0) NOT NULL,
  tLongTxt LONG,
  tSpecConc NUMBER(10, 0),
  tSpecK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE tPrtParm
(
  K NUMBER(10, 0) NOT NULL,
  tPrtParm LONG RAW,
  tSpecConc NUMBER(10, 0),
  tSpecK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wBasType
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wKey NUMBER(19, 0),
  wLength NUMBER(5, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wPicture VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wTargSysK NUMBER(10, 0),
  wUniform CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wCharact
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComItemK NUMBER(10, 0),
  wComment NUMBER(10, 0),
  wComponK NUMBER(10, 0),
  wCreatDate DATE,
  wDomainK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wLength NUMBER(5, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wNbDecimal NUMBER(5, 0),
  wProjectK NUMBER(10, 0),
  wSequence NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wComItem
(
  K NUMBER(10, 0) NOT NULL,
  rCommDate DATE,
  rCommId VARCHAR2(240),
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDomainK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wLength NUMBER(5, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wNbDecimal NUMBER(5, 0),
  wOwner VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wCompCat
(
  K NUMBER(10, 0) NOT NULL,
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDescript VARCHAR2(240),
  wDescrMode NUMBER(5, 0),
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wSR CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wCompon
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wCompCatK NUMBER(10, 0),
  wCreatDate DATE,
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  wStructK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wCompPrs
(
  K NUMBER(10, 0) NOT NULL,
  wComponK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wCorrCat
(
  K NUMBER(10, 0) NOT NULL,
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDescript VARCHAR2(240),
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wSR CHAR(1),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wCorresp
(
  K NUMBER(10, 0) NOT NULL,
  wComment NUMBER(10, 0),
  wCorrCatK NUMBER(10, 0),
  wCreatDate DATE,
  wDstCompK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wProjectK NUMBER(10, 0),
  wSrcCompK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wDefault
(
  K NUMBER(10, 0) NOT NULL,
  rKey NUMBER(19, 0),
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wExpress NUMBER(10, 0),
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wDomain
(
  K NUMBER(10, 0) NOT NULL,
  rCaseSens CHAR(1),
  rCommId VARCHAR2(240),
  rDb2SubTyp NUMBER(5, 0),
  rDefVal VARCHAR2(240),
  rFutOnlyDf CHAR(1),
  rFutOnlyRu CHAR(1),
  rIdentity CHAR(1),
  rMinLength NUMBER(5, 0),
  rNullPoss CHAR(1),
  rUserType CHAR(1),
  wAlias VARCHAR2(240),
  wBasTypeK NUMBER(10, 0),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDefaultK NUMBER(10, 0),
  wDiscrete CHAR(1),
  wDomainK NUMBER(10, 0),
  wExample VARCHAR2(240),
  wKey NUMBER(19, 0),
  wLength NUMBER(5, 0),
  wMaxValue VARCHAR2(240),
  wMinValue VARCHAR2(240),
  wModifDate DATE,
  wName VARCHAR2(240),
  wNbDecimal NUMBER(5, 0),
  wOwner VARCHAR2(240),
  wPicture VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wRuleK NUMBER(10, 0),
  wTargSysK NUMBER(10, 0),
  wUniform CHAR(1),
  wValFile VARCHAR2(240),
  wValidRule NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wDomPrs
(
  K NUMBER(10, 0) NOT NULL,
  wDomainK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wDomVal
(
  K NUMBER(10, 0) NOT NULL,
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDescript VARCHAR2(240),
  wDomainK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wProjectK NUMBER(10, 0),
  wSequence NUMBER(5, 0),
  wSupValue VARCHAR2(240),
  wValue VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wExtStru
(
  K NUMBER(10, 0) NOT NULL,
  wCategory NUMBER(5, 0),
  wChAlias VARCHAR2(240),
  wChBasType VARCHAR2(240),
  wChCodName VARCHAR2(240),
  wChComment NUMBER(10, 0),
  wChLen NUMBER(5, 0),
  wChName VARCHAR2(240),
  wChNbDec NUMBER(5, 0),
  wKey NUMBER(19, 0),
  wNumber NUMBER(10, 0),
  wPaAlias VARCHAR2(240),
  wPaCodName VARCHAR2(240),
  wPaName VARCHAR2(240),
  wPfxIdent CHAR(1),
  wPfxMax VARCHAR2(240),
  wPfxMin VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wSfxDepend CHAR(1),
  wSfxMax VARCHAR2(240),
  wSfxMin VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wItemPrs
(
  K NUMBER(10, 0) NOT NULL,
  wComItemK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wNSRRep
(
  K NUMBER(10, 0) NOT NULL,
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wProject
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDelimiter VARCHAR2(240),
  wFirstSave CHAR(1),
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wOrganiz VARCHAR2(240),
  wOwner VARCHAR2(240),
  wReadPassw RAW(240),
  wUpdPassw RAW(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wRepPrs
(
  K NUMBER(10, 0) NOT NULL,
  wKey NUMBER(19, 0),
  wPresRepK NUMBER(10, 0),
  wProjectK NUMBER(10, 0),
  wUsingRepK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wRepres
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComFnName VARCHAR2(240),
  wComFnSize NUMBER(5, 0),
  wComFnStyl NUMBER(5, 0),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wCreator VARCHAR2(240),
  wFormalism VARCHAR2(240),
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wOwner VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wSpecConc NUMBER(10, 0),
  wSpecK NUMBER(10, 0),
  wSrFormal VARCHAR2(240),
  wVersion VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wRule
(
  K NUMBER(10, 0) NOT NULL,
  rKey NUMBER(19, 0),
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wExpress NUMBER(10, 0),
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wSRRep
(
  dDepNotaId NUMBER(5, 0),
  dEntNotaId NUMBER(5, 0),
  dExEnHeigh NUMBER(10, 0),
  dExEnIdPrf VARCHAR2(240),
  dExEnShape NUMBER(5, 0),
  dExEnWidth NUMBER(10, 0),
  dFloLabDis CHAR(1),
  dFloNotaId NUMBER(5, 0),
  dFlowIDPrf VARCHAR2(240),
  dFormat CHAR(1),
  dHierIdDis CHAR(1),
  dLevelSep NUMBER(5, 0),
  dNoReduct CHAR(1),
  dNxExEnId NUMBER(5, 0),
  dNxFlowId NUMBER(5, 0),
  dNxStoreId NUMBER(5, 0),
  dOriExEnZn NUMBER(5, 0),
  dOriProcZn NUMBER(5, 0),
  dOriStorZn NUMBER(5, 0),
  dPrFrmDisp CHAR(1),
  dProcContK NUMBER(10, 0),
  dProcHeigh NUMBER(10, 0),
  dProcShape NUMBER(5, 0),
  dProcWidth NUMBER(10, 0),
  dProNotaId NUMBER(5, 0),
  dQualDisp CHAR(1),
  dStorHeigh NUMBER(10, 0),
  dStorIdPrf VARCHAR2(240),
  dStorShape NUMBER(5, 0),
  dStorWidth NUMBER(10, 0),
  K NUMBER(10, 0) NOT NULL,
  rAccParSou NUMBER(10, 0),
  rAccParSup NUMBER(10, 0),
  rAccProSub CHAR(1),
  rAccProSup CHAR(1),
  rAllowInt CHAR(1),
  rCategory NUMBER(5, 0),
  rChComItem CHAR(1),
  rDBMS NUMBER(5, 0),
  rDefinit NUMBER(10, 0),
  rDomainK NUMBER(10, 0),
  rForKGen CHAR(1),
  rGenAppl NUMBER(5, 0),
  rGenCol CHAR(1),
  rIBIDMFDK NUMBER(10, 0),
  rIBIType NUMBER(5, 0),
  rIntAuto CHAR(1),
  rItcColCop CHAR(1),
  rLocalName VARCHAR2(240),
  rLocalVers VARCHAR2(240),
  rParmSubs NUMBER(10, 0),
  rParmSuper NUMBER(10, 0),
  rPeriod VARCHAR2(240),
  rPropSubs CHAR(1),
  rPropSuper CHAR(1),
  rSuperTs NUMBER(19, 0),
  rSupRepK NUMBER(10, 0),
  rSurAuto CHAR(1),
  rSurName VARCHAR2(240),
  rTargSysK NUMBER(10, 0),
  rValidGen NUMBER(5, 0),
  rVerified CHAR(1),
  wDelPassw RAW(240),
  wFirstSave CHAR(1),
  wGraphic CHAR(1),
  wKey NUMBER(19, 0),
  wMsUnit NUMBER(10, 0),
  wNbModif NUMBER(5, 0),
  wProjectK NUMBER(10, 0),
  wReadPassw RAW(240),
  wRepresK NUMBER(10, 0),
  wUpdPassw RAW(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wStruct
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wStruNodK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wStruNod
(
  K NUMBER(10, 0) NOT NULL,
  wHierName VARCHAR2(240),
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wSpecConc NUMBER(10, 0),
  wSpecK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wStruPrs
(
  K NUMBER(10, 0) NOT NULL,
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  wStructK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wSubStru
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCategory NUMBER(5, 0),
  wChoice NUMBER(5, 0),
  wChoiceMax VARCHAR2(240),
  wChoiceMin VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComItemK NUMBER(10, 0),
  wComment NUMBER(10, 0),
  wCreatDate DATE,
  wDomainK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wLength NUMBER(5, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wNbDecimal NUMBER(5, 0),
  wPaNodeK NUMBER(10, 0),
  wPfxIdent CHAR(1),
  wPfxMax VARCHAR2(240),
  wPfxMin VARCHAR2(240),
  wPrefix VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wSequence NUMBER(5, 0),
  wSfxDepend CHAR(1),
  wSfxMax VARCHAR2(240),
  wSfxMin VARCHAR2(240),
  wStructK NUMBER(10, 0),
  wStruNodK NUMBER(10, 0),
  wSuffix VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wTargSys
(
  K NUMBER(10, 0) NOT NULL,
  rComment NUMBER(10, 0),
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wId NUMBER(5, 0),
  wKey NUMBER(19, 0),
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  wVersion VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wTypePrs
(
  K NUMBER(10, 0) NOT NULL,
  wBasTypeK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wProjectK NUMBER(10, 0),
  wRepresK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wUFldVal
(
  K NUMBER(10, 0) NOT NULL,
  wChoiceK NUMBER(10, 0),
  wChoiConc NUMBER(10, 0),
  wCreatDate DATE,
  wKey NUMBER(19, 0),
  wModifDate DATE,
  wProjectK NUMBER(10, 0),
  wUserFldK NUMBER(10, 0),
  wValue VARCHAR2(240),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wUser
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wName VARCHAR2(240),
  wProjectK NUMBER(10, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE wUserFld
(
  K NUMBER(10, 0) NOT NULL,
  wAlias VARCHAR2(240),
  wCodedName VARCHAR2(240),
  wComment NUMBER(10, 0),
  wConcept NUMBER(10, 0),
  wCreatDate DATE,
  wDerivRule NUMBER(10, 0),
  wDomainK NUMBER(10, 0),
  wKey NUMBER(19, 0),
  wLength NUMBER(5, 0),
  wModifDate DATE,
  wName VARCHAR2(240),
  wNbDecimal NUMBER(5, 0),
  wNullPoss CHAR(1),
  wProjectK NUMBER(10, 0),
  wSequence NUMBER(5, 0),
  zStatus NUMBER(5, 0),
  zTransNo NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE zChkTran
(
  zChunkK NUMBER(10, 0),
  zConnectK NUMBER(10, 0),
  zDetail LONG RAW,
  zNbUpdate NUMBER(5, 0),
  zTransName VARCHAR2(240),
  zTransNo NUMBER(10, 0),
  zUid NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE zChkUsed
(
  zChunkK NUMBER(10, 0) NOT NULL,
  zConnectK NUMBER(10, 0) NOT NULL,
  zLocked CHAR(1),
  zTmp CHAR(1)
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE zConnect
(
  zDateAlive NUMBER(10, 0),
  zNeedLUpd CHAR(1),
  zNeedUpd CHAR(1),
  zTransUpd NUMBER(10, 0),
  zUid NUMBER(10, 0) NOT NULL,
  zUserId VARCHAR2(240)
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE zControl
(
  zCharSet VARCHAR2(240),
  zConnectK NUMBER(10, 0),
  zLastTrans NUMBER(10, 0),
  zLastUid NUMBER(10, 0),
  zTimeClean NUMBER(10, 0),
  zUid NUMBER(10, 0) NOT NULL
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;

CREATE TABLE zModule
(
  zName VARCHAR2(240) NOT NULL,
  zVersion VARCHAR2(240)
) TABLESPACE SILVERRUN_REPOSITORY_DATA
;


INSERT INTO zModule (zName, zVersion) VALUES ('EPI', '370');
INSERT INTO zModule (zName, zVersion) VALUES ('MMC', '370');

/*
Number of tables created inside Silverrun Repository */
select COUNT(*) from USER_TABLES 
	where tablespace_name = 'SILVERRUN_REPOSITORY_DATA';
	
spool off;
set echo off;
