set echo off;
spool drpindex.lst;

/************************************************************************************
*                                                                                   *
*   drpindex.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script dropping all SILVERRUN indexes       Script supprimant tous les index    *
*   except those on zModule.                    SILVERRUN sauf ceux de zModule.     *
*                                                                                   *
************************************************************************************/

/* TABLE zModule */
/* Index on zModule will not be dropped,
** because it may be used by other SILVERRUN Applications.*/
/* DROP INDEX izModuleP; */


/* TABLE dCell */
DROP INDEX idCellL;
DROP INDEX i043121;
DROP INDEX i043119;

/* TABLE dCpnProc */
DROP INDEX idCpnProcL;
DROP INDEX i043006;
DROP INDEX i043005;
DROP INDEX i043007;
DROP INDEX i043011;

/* TABLE dCpnStor */
DROP INDEX idCpnStorL;
DROP INDEX i042913;
DROP INDEX i042915;
DROP INDEX i042909;
DROP INDEX i042917;

/* TABLE dDiag */
DROP INDEX idDiagL;
DROP INDEX i045040;

/* TABLE dDispDes */
DROP INDEX idDispDesL;
DROP INDEX i040511;
DROP INDEX i040509;
DROP INDEX i040506;

/* TABLE dExEnGR */
DROP INDEX idExEnGRL;
DROP INDEX i042006;
DROP INDEX i042004;
DROP INDEX i042022;

/* TABLE dExEnPrs */
DROP INDEX idExEnPrsL;
DROP INDEX i041302;
DROP INDEX i041305;
DROP INDEX i041309;

/* TABLE dExtEnt */
DROP INDEX idExtEntL;
DROP INDEX i040720;

/* TABLE dFigure */
DROP INDEX idFigureL;
DROP INDEX i046207;

/* TABLE dFigurGR */
DROP INDEX idFigurGRL;
DROP INDEX i046308;

/* TABLE dFlow */
DROP INDEX idFlowL;
DROP INDEX i040820;
DROP INDEX i040823;
DROP INDEX i040812;
DROP INDEX i040837;
DROP INDEX i040843;
DROP INDEX i040841;

/* TABLE dFlowGR */
DROP INDEX idFlowGRL;
DROP INDEX i042123;
DROP INDEX i042112;
DROP INDEX i042115;

/* TABLE dFont */
DROP INDEX idFontL;
DROP INDEX i045108;
DROP INDEX i045112;

/* TABLE dFText */
DROP INDEX idFTextL;
DROP INDEX i045711;

/* TABLE dFTextGR */
DROP INDEX idFTextGRL;
DROP INDEX i045508;

/* TABLE dGrapRep */
DROP INDEX idGrapRepL;
DROP INDEX i045315;
DROP INDEX i045331;

/* TABLE dLabelGR */
DROP INDEX idLabelGRL;
DROP INDEX i042314;
DROP INDEX i042302;
DROP INDEX i042306;

/* TABLE dLine */
DROP INDEX idLineL;
DROP INDEX i046007;

/* TABLE dLineGR */
DROP INDEX idLineGRL;
DROP INDEX i046109;

/* TABLE dLinkGR */
DROP INDEX idLinkGRL;
DROP INDEX i046810;
DROP INDEX i046804;
DROP INDEX i046812;

/* TABLE dNode */
DROP INDEX idNodeL;
DROP INDEX i046708;
DROP INDEX i046712;

/* TABLE dPictGR */
DROP INDEX idPictGRL;
DROP INDEX i046414;

/* TABLE dPicture */
DROP INDEX idPictureL;
DROP INDEX i046507;

/* TABLE dProcess */
DROP INDEX idProcessL;
DROP INDEX i041615;
DROP INDEX i041638;
DROP INDEX i041650;

/* TABLE dProcFrm */
DROP INDEX idProcFrmL;
DROP INDEX i042202;
DROP INDEX i042212;

/* TABLE dProcGR */
DROP INDEX idProcGRL;
DROP INDEX i042504;
DROP INDEX i042506;
DROP INDEX i042522;

/* TABLE dProcPrs */
DROP INDEX idProcPrsL;
DROP INDEX i041503;
DROP INDEX i041505;
DROP INDEX i041509;

/* TABLE dQualGR */
DROP INDEX idQualGRL;
DROP INDEX i042413;
DROP INDEX i042407;

/* TABLE dQualif */
DROP INDEX idQualifL;
DROP INDEX i040014;

/* TABLE dQulExEn */
DROP INDEX idQulExEnL;
DROP INDEX i040208;
DROP INDEX i040206;
DROP INDEX i040212;

/* TABLE dQulFlow */
DROP INDEX idQulFlowL;
DROP INDEX i040308;
DROP INDEX i040306;
DROP INDEX i040312;

/* TABLE dQulProc */
DROP INDEX idQulProcL;
DROP INDEX i040408;
DROP INDEX i040406;
DROP INDEX i040412;

/* TABLE dQulSto */
DROP INDEX idQulStoL;
DROP INDEX i040108;
DROP INDEX i040106;
DROP INDEX i040112;

/* TABLE dResourc */
DROP INDEX idResourcL;
DROP INDEX i041714;

/* TABLE dResProc */
DROP INDEX idResProcL;
DROP INDEX i041804;
DROP INDEX i041811;
DROP INDEX i041806;

/* TABLE dStamp */
DROP INDEX idStampL;
DROP INDEX i045806;

/* TABLE dStampGR */
DROP INDEX idStampGRL;
DROP INDEX i045608;

/* TABLE dStore */
DROP INDEX idStoreL;
DROP INDEX i040630;
DROP INDEX i040628;

/* TABLE dStoreGR */
DROP INDEX idStoreGRL;
DROP INDEX i041906;
DROP INDEX i041904;
DROP INDEX i041922;

/* TABLE dStorPrs */
DROP INDEX idStorPrsL;
DROP INDEX i041202;
DROP INDEX i041205;
DROP INDEX i041209;

/* TABLE dZone */
DROP INDEX idZoneL;
DROP INDEX i042815;

/* TABLE rActCat */
DROP INDEX irActCatL;
DROP INDEX i024309;

/* TABLE rAction */
DROP INDEX irActionL;
DROP INDEX i020018;
DROP INDEX i020040;
DROP INDEX i020052;
DROP INDEX i020020;
DROP INDEX i020019;

/* TABLE rAttrSet */
DROP INDEX irAttrSetL;
DROP INDEX i029725;
DROP INDEX i029722;

/* TABLE rBlkCfg */
DROP INDEX irBlkCfgL;
DROP INDEX i026222;
DROP INDEX i026218;

/* TABLE rChoice */
DROP INDEX irChoiceL;
DROP INDEX i020218;
DROP INDEX i020222;
DROP INDEX i020221;

/* TABLE rChoiceG */
DROP INDEX irChoiceGL;
DROP INDEX i021808;
DROP INDEX i021813;

/* TABLE rChoiLnG */
DROP INDEX irChoiLnGL;
DROP INDEX i023702;
DROP INDEX i023706;

/* TABLE rColAct */
DROP INDEX irColActL;
DROP INDEX i024407;
DROP INDEX i024409;
DROP INDEX i024411;

/* TABLE rColumn */
DROP INDEX irColumnL;
DROP INDEX i020478;
DROP INDEX i020432;
DROP INDEX i131545;
DROP INDEX i020426;
DROP INDEX i020434;
DROP INDEX i020458;
DROP INDEX i020433;
DROP INDEX i131569;
DROP INDEX i131726;
DROP INDEX i131799;
DROP INDEX i020427;

/* TABLE rColVal */
DROP INDEX irColValL;
DROP INDEX i029506;
DROP INDEX i029511;

/* TABLE rCombCol */
DROP INDEX irCombColL;
DROP INDEX i020616;
DROP INDEX i020641;
DROP INDEX i020627;
DROP INDEX i020617;
DROP INDEX i020638;
DROP INDEX i020630;

/* TABLE rCombDir */
DROP INDEX irCombDirL;
DROP INDEX i020710;
DROP INDEX i020712;
DROP INDEX i020717;

/* TABLE rCombin */
DROP INDEX irCombinL;
DROP INDEX i020535;
DROP INDEX i020536;
DROP INDEX i020537;
DROP INDEX i020538;
DROP INDEX i020525;

/* TABLE rCompTbl */
DROP INDEX irCompTblL;
DROP INDEX i023605;
DROP INDEX i023607;
DROP INDEX i023609;
DROP INDEX i023611;

/* TABLE rConcAcc */
DROP INDEX irConcAccL;
DROP INDEX i024606;
DROP INDEX i024608;

/* TABLE rConnect */
DROP INDEX irConnectL;
DROP INDEX i020825;

/* TABLE rConnG */
DROP INDEX irConnGL;
DROP INDEX i022008;
DROP INDEX i022012;
DROP INDEX i022019;
DROP INDEX i022016;

/* TABLE rConnvG */
DROP INDEX irConnvGL;
DROP INDEX i022806;
DROP INDEX i022808;
DROP INDEX i022812;

/* TABLE rConstr */
DROP INDEX irConstrL;
DROP INDEX i020151;
DROP INDEX i020117;
DROP INDEX i131558;
DROP INDEX i020119;
DROP INDEX i020118;

/* TABLE rContent */
DROP INDEX irContentL;
DROP INDEX i024714;

/* TABLE rDatabas */
DROP INDEX irDatabasL;
DROP INDEX i026936;

/* TABLE rDescAcc */
DROP INDEX irDescAccL;
DROP INDEX i023805;
DROP INDEX i023807;

/* TABLE rDiagram */
DROP INDEX irDiagramL;
DROP INDEX i021045;

/* TABLE rDim */
DROP INDEX irDimL;
DROP INDEX i039604;
DROP INDEX i039606;
DROP INDEX i039602;
DROP INDEX i039609;

/* TABLE rDirect */
DROP INDEX irDirectL;
DROP INDEX i021174;
DROP INDEX i021139;
DROP INDEX i021159;
DROP INDEX i021165;
DROP INDEX i021143;
DROP INDEX i021144;

/* TABLE rErrMsg */
DROP INDEX irErrMsgL;
DROP INDEX i131645;
DROP INDEX i131566;

/* TABLE rFigure */
DROP INDEX irFigureL;
DROP INDEX i023206;

/* TABLE rFigureG */
DROP INDEX irFigureGL;
DROP INDEX i023003;

/* TABLE rFile */
DROP INDEX irFileL;
DROP INDEX i026614;
DROP INDEX i026628;
DROP INDEX i026623;
DROP INDEX i026618;
DROP INDEX i131942;

/* TABLE rFilSgrp */
DROP INDEX irFilSgrpL;
DROP INDEX i029802;
DROP INDEX i029806;
DROP INDEX i029804;

/* TABLE rFilTbsp */
DROP INDEX irFilTbspL;
DROP INDEX i027204;
DROP INDEX i027206;
DROP INDEX i027202;

/* TABLE rFont */
DROP INDEX irFontL;
DROP INDEX i021410;
DROP INDEX i021411;

/* TABLE rGraphic */
DROP INDEX irGraphicL;
DROP INDEX i021718;
DROP INDEX i021720;

/* TABLE rIBICol */
DROP INDEX irIBIColL;
DROP INDEX i131547;
DROP INDEX i131548;
DROP INDEX i131549;
DROP INDEX i131552;
DROP INDEX i131555;
DROP INDEX i131559;

/* TABLE rIBIDir */
DROP INDEX irIBIDirL;
DROP INDEX i131563;

/* TABLE rIBILink */
DROP INDEX irIBILinkL;
DROP INDEX i039906;
DROP INDEX i039902;
DROP INDEX i039904;

/* TABLE rIBILoc */
DROP INDEX irIBILocL;
DROP INDEX i131561;

/* TABLE rIBIMFD */
DROP INDEX irIBIMFDL;
DROP INDEX i131562;

/* TABLE rIBISec */
DROP INDEX irIBISecL;
DROP INDEX i039803;
DROP INDEX i039806;
DROP INDEX i039808;

/* TABLE rIBITab */
DROP INDEX irIBITabL;
DROP INDEX i131551;
DROP INDEX i131553;
DROP INDEX i131560;

/* TABLE rIndex */
DROP INDEX irIndexL;
DROP INDEX i021562;
DROP INDEX i021516;
DROP INDEX i021564;
DROP INDEX i021537;
DROP INDEX i131746;

/* TABLE rIndTbsp */
DROP INDEX irIndTbspL;
DROP INDEX i027104;
DROP INDEX i027106;
DROP INDEX i027102;

/* TABLE rLabelG */
DROP INDEX irLabelGL;
DROP INDEX i021906;
DROP INDEX i021908;
DROP INDEX i021912;

/* TABLE rLine */
DROP INDEX irLineL;
DROP INDEX i023307;

/* TABLE rLineG */
DROP INDEX irLineGL;
DROP INDEX i023103;

/* TABLE rMDIndex */
DROP INDEX irMDIndexL;
DROP INDEX i039707;
DROP INDEX i039702;

/* TABLE rPart */
DROP INDEX irPartL;
DROP INDEX i026822;
DROP INDEX i026818;
DROP INDEX i026833;
DROP INDEX i026824;
DROP INDEX i026811;
DROP INDEX i026820;
DROP INDEX i131796;
DROP INDEX i026814;
DROP INDEX i131814;

/* TABLE rPictG */
DROP INDEX irPictGL;
DROP INDEX i022108;

/* TABLE rPicture */
DROP INDEX irPictureL;
DROP INDEX i021612;

/* TABLE rProc */
DROP INDEX irProcL;
DROP INDEX i024832;
DROP INDEX i024809;
DROP INDEX i131743;

/* TABLE rRelCol */
DROP INDEX irRelColL;
DROP INDEX i029408;
DROP INDEX i029406;
DROP INDEX i029404;
DROP INDEX i029410;

/* TABLE rRollSeg */
DROP INDEX irRollSegL;
DROP INDEX i026322;
DROP INDEX i026326;
DROP INDEX i026309;
DROP INDEX i026307;

/* TABLE rSDColn */
DROP INDEX irSDColnL;
DROP INDEX i131685;
DROP INDEX i131691;

/* TABLE rSDFld */
DROP INDEX irSDFldL;
DROP INDEX i131694;
DROP INDEX i131688;

/* TABLE rSDFldVl */
DROP INDEX irSDFldVlL;
DROP INDEX i131697;
DROP INDEX i131682;

/* TABLE rSeq */
DROP INDEX irSeqL;
DROP INDEX i038515;
DROP INDEX i038512;
DROP INDEX i131749;

/* TABLE rSpecSym */
DROP INDEX irSpecSymL;
DROP INDEX i024505;

/* TABLE rStamp */
DROP INDEX irStampL;
DROP INDEX i022706;

/* TABLE rStampG */
DROP INDEX irStampGL;
DROP INDEX i022408;

/* TABLE rStoCfg */
DROP INDEX irStoCfgL;
DROP INDEX i026531;
DROP INDEX i026539;

/* TABLE rStogrp */
DROP INDEX irStogrpL;
DROP INDEX i131929;
DROP INDEX i026713;
DROP INDEX i026717;

/* TABLE rSubZone */
DROP INDEX irSubZoneL;
DROP INDEX i024120;
DROP INDEX i024123;

/* TABLE rSvwCol */
DROP INDEX irSvwColL;
DROP INDEX i029117;

/* TABLE rSvwFmt */
DROP INDEX irSvwFmtL;
DROP INDEX i029216;
DROP INDEX i029218;
DROP INDEX i029238;

/* TABLE rTable */
DROP INDEX irTableL;
DROP INDEX i022592;
DROP INDEX i022582;
DROP INDEX i022580;
DROP INDEX i022540;
DROP INDEX i131926;
DROP INDEX i131904;
DROP INDEX i022561;
DROP INDEX i022538;
DROP INDEX i131740;

/* TABLE rTableG */
DROP INDEX irTableGL;
DROP INDEX i022211;
DROP INDEX i022218;
DROP INDEX i022210;

/* TABLE rTabspc */
DROP INDEX irTabspcL;
DROP INDEX i026028;
DROP INDEX i026046;
DROP INDEX i026026;
DROP INDEX i026021;
DROP INDEX i026050;

/* TABLE rTabTbsp */
DROP INDEX irTabTbspL;
DROP INDEX i027006;
DROP INDEX i027004;
DROP INDEX i027002;

/* TABLE rText */
DROP INDEX irTextL;
DROP INDEX i022616;

/* TABLE rTextG */
DROP INDEX irTextGL;
DROP INDEX i022308;

/* TABLE rZone */
DROP INDEX irZoneL;
DROP INDEX i024211;
DROP INDEX i024213;

/* TABLE tImage */
DROP INDEX itImageL;

/* TABLE tItgParm */
DROP INDEX itItgParmL;

/* TABLE tLongTxt */
DROP INDEX itLongTxtL;

/* TABLE tPrtParm */
DROP INDEX itPrtParmL;

/* TABLE wBasType */
DROP INDEX iwBasTypeL;
DROP INDEX i000508;
DROP INDEX i000535;

/* TABLE wCharact */
DROP INDEX iwCharactL;
DROP INDEX i002911;
DROP INDEX i002913;
DROP INDEX i002915;
DROP INDEX i002917;

/* TABLE wComItem */
DROP INDEX iwComItemL;
DROP INDEX i000210;
DROP INDEX i000213;

/* TABLE wCompCat */
DROP INDEX iwCompCatL;
DROP INDEX i002033;

/* TABLE wCompon */
DROP INDEX iwComponL;
DROP INDEX i002444;
DROP INDEX i002440;
DROP INDEX i002432;
DROP INDEX i002447;

/* TABLE wCompPrs */
DROP INDEX iwCompPrsL;
DROP INDEX i002604;
DROP INDEX i002606;
DROP INDEX i002602;

/* TABLE wCorrCat */
DROP INDEX iwCorrCatL;
DROP INDEX i001930;

/* TABLE wCorresp */
DROP INDEX iwCorrespL;
DROP INDEX i001838;
DROP INDEX i001830;
DROP INDEX i001832;
DROP INDEX i001835;

/* TABLE wDefault */
DROP INDEX iwDefaultL;
DROP INDEX i131711;

/* TABLE wDomain */
DROP INDEX iwDomainL;
DROP INDEX i028418;
DROP INDEX i028403;
DROP INDEX i000422;
DROP INDEX i028416;
DROP INDEX i028405;
DROP INDEX i000420;

/* TABLE wDomPrs */
DROP INDEX iwDomPrsL;
DROP INDEX i002654;
DROP INDEX i002656;
DROP INDEX i002652;

/* TABLE wDomVal */
DROP INDEX iwDomValL;
DROP INDEX i000707;
DROP INDEX i000705;

/* TABLE wExtStru */
DROP INDEX iwExtStruL;
DROP INDEX i003420;

/* TABLE wItemPrs */
DROP INDEX iwItemPrsL;
DROP INDEX i002504;
DROP INDEX i002506;
DROP INDEX i002502;

/* TABLE wNSRRep */
DROP INDEX iwNSRRepL;
DROP INDEX i002230;

/* TABLE wProject */
DROP INDEX iwProjectL;

/* TABLE wRepPrs */
DROP INDEX iwRepPrsL;
DROP INDEX i003305;
DROP INDEX i003309;
DROP INDEX i003307;

/* TABLE wRepres */
DROP INDEX iwRepresL;
DROP INDEX i002132;

/* TABLE wRule */
DROP INDEX iwRuleL;
DROP INDEX i131714;

/* TABLE wSRRep */
DROP INDEX iwSRRepL;
DROP INDEX i022981;
DROP INDEX i001116;
DROP INDEX i022946;
DROP INDEX i022986;

/* TABLE wStruct */
DROP INDEX iwStructL;
DROP INDEX i001608;

/* TABLE wStruNod */
DROP INDEX iwStruNodL;
DROP INDEX i001304;

/* TABLE wStruPrs */
DROP INDEX iwStruPrsL;
DROP INDEX i002706;
DROP INDEX i002702;
DROP INDEX i002704;

/* TABLE wSubStru */
DROP INDEX iwSubStruL;
DROP INDEX i001538;
DROP INDEX i001513;
DROP INDEX i001515;
DROP INDEX i001518;
DROP INDEX i001520;

/* TABLE wTargSys */
DROP INDEX iwTargSysL;
DROP INDEX i001007;

/* TABLE wTypePrs */
DROP INDEX iwTypePrsL;
DROP INDEX i002802;
DROP INDEX i002804;
DROP INDEX i002806;

/* TABLE wUFldVal */
DROP INDEX iwUFldValL;
DROP INDEX i003108;
DROP INDEX i003103;
DROP INDEX i003105;

/* TABLE wUser */
DROP INDEX iwUserL;
DROP INDEX i131717;

/* TABLE wUserFld */
DROP INDEX iwUserFldL;
DROP INDEX i003013;
DROP INDEX i003015;

/* TABLE zChkTran */
DROP INDEX izChkTranP;
DROP INDEX izChkTran;
DROP INDEX izChkTranU;

/* TABLE zChkUsed */
DROP INDEX izChkUsedT;
DROP INDEX izChkUsedK;

/* TABLE zConnect */
DROP INDEX izConnectP;

/* TABLE zControl */
DROP INDEX izControlP;


spool off;
set echo off;
