set echo off;
spool drptable.lst;

/************************************************************************************
*                                                                                   *
*   drptable.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script dropping all SILVERRUN tables        Script supprimant toutes les tables *
*   except zModule.                             SILVERRUN sauf zModule.             *
*                                                                                   *
************************************************************************************/

/* Table zModule will not be dropped,
** because it may be used by other SILVERRUN Applications.*/
/* DROP TABLE zModule cascade constraints; */
DROP TABLE dCell        cascade constraints;
DROP TABLE dCpnProc     cascade constraints;
DROP TABLE dCpnStor     cascade constraints;
DROP TABLE dDiag        cascade constraints;
DROP TABLE dDispDes     cascade constraints;
DROP TABLE dExEnGR      cascade constraints;
DROP TABLE dExEnPrs     cascade constraints;
DROP TABLE dExtEnt      cascade constraints;
DROP TABLE dFigure      cascade constraints;
DROP TABLE dFigurGR     cascade constraints;
DROP TABLE dFlow        cascade constraints;
DROP TABLE dFlowGR      cascade constraints;
DROP TABLE dFont        cascade constraints;
DROP TABLE dFText       cascade constraints;
DROP TABLE dFTextGR     cascade constraints;
DROP TABLE dGrapRep     cascade constraints;
DROP TABLE dLabelGR     cascade constraints;
DROP TABLE dLine        cascade constraints;
DROP TABLE dLineGR      cascade constraints;
DROP TABLE dLinkGR      cascade constraints;
DROP TABLE dNode        cascade constraints;
DROP TABLE dPictGR      cascade constraints;
DROP TABLE dPicture     cascade constraints;
DROP TABLE dProcess     cascade constraints;
DROP TABLE dProcFrm     cascade constraints;
DROP TABLE dProcGR      cascade constraints;
DROP TABLE dProcPrs     cascade constraints;
DROP TABLE dQualGR      cascade constraints;
DROP TABLE dQualif      cascade constraints;
DROP TABLE dQulExEn     cascade constraints;
DROP TABLE dQulFlow     cascade constraints;
DROP TABLE dQulProc     cascade constraints;
DROP TABLE dQulSto      cascade constraints;
DROP TABLE dResourc     cascade constraints;
DROP TABLE dResProc     cascade constraints;
DROP TABLE dStamp       cascade constraints;
DROP TABLE dStampGR     cascade constraints;
DROP TABLE dStore       cascade constraints;
DROP TABLE dStoreGR     cascade constraints;
DROP TABLE dStorPrs     cascade constraints;
DROP TABLE dZone        cascade constraints;
DROP TABLE rActCat      cascade constraints;
DROP TABLE rAction      cascade constraints;
DROP TABLE rAttrSet     cascade constraints;
DROP TABLE rBlkCfg      cascade constraints;
DROP TABLE rChoice      cascade constraints;
DROP TABLE rChoiceG     cascade constraints;
DROP TABLE rChoiLnG     cascade constraints;
DROP TABLE rColAct      cascade constraints;
DROP TABLE rColumn      cascade constraints;
DROP TABLE rColVal      cascade constraints;
DROP TABLE rCombCol     cascade constraints;
DROP TABLE rCombDir     cascade constraints;
DROP TABLE rCombin      cascade constraints;
DROP TABLE rCompTbl     cascade constraints;
DROP TABLE rConcAcc     cascade constraints;
DROP TABLE rConnect     cascade constraints;
DROP TABLE rConnG       cascade constraints;
DROP TABLE rConnvG      cascade constraints;
DROP TABLE rConstr      cascade constraints;
DROP TABLE rContent     cascade constraints;
DROP TABLE rDatabas     cascade constraints;
DROP TABLE rDescAcc     cascade constraints;
DROP TABLE rDiagram     cascade constraints;
DROP TABLE rDim         cascade constraints;
DROP TABLE rDirect      cascade constraints;
DROP TABLE rErrMsg      cascade constraints;
DROP TABLE rFigure      cascade constraints;
DROP TABLE rFigureG     cascade constraints;
DROP TABLE rFile        cascade constraints;
DROP TABLE rFilSgrp     cascade constraints;
DROP TABLE rFilTbsp     cascade constraints;
DROP TABLE rFont        cascade constraints;
DROP TABLE rGraphic     cascade constraints;
DROP TABLE rIBICol      cascade constraints;
DROP TABLE rIBIDir      cascade constraints;
DROP TABLE rIBILink     cascade constraints;
DROP TABLE rIBILoc      cascade constraints;
DROP TABLE rIBIMFD      cascade constraints;
DROP TABLE rIBISec      cascade constraints;
DROP TABLE rIBITab      cascade constraints;
DROP TABLE rIndex       cascade constraints;
DROP TABLE rIndTbsp     cascade constraints;
DROP TABLE rLabelG      cascade constraints;
DROP TABLE rLine        cascade constraints;
DROP TABLE rLineG       cascade constraints;
DROP TABLE rMDIndex     cascade constraints;
DROP TABLE rPart        cascade constraints;
DROP TABLE rPictG       cascade constraints;
DROP TABLE rPicture     cascade constraints;
DROP TABLE rProc        cascade constraints;
DROP TABLE rRelCol      cascade constraints;
DROP TABLE rRollSeg     cascade constraints;
DROP TABLE rSDColn      cascade constraints;
DROP TABLE rSDFld       cascade constraints;
DROP TABLE rSDFldVl     cascade constraints;
DROP TABLE rSeq         cascade constraints;
DROP TABLE rSpecSym     cascade constraints;
DROP TABLE rStamp       cascade constraints;
DROP TABLE rStampG      cascade constraints;
DROP TABLE rStoCfg      cascade constraints;
DROP TABLE rStogrp      cascade constraints;
DROP TABLE rSubZone     cascade constraints;
DROP TABLE rSvwCol      cascade constraints;
DROP TABLE rSvwFmt      cascade constraints;
DROP TABLE rTable       cascade constraints;
DROP TABLE rTableG      cascade constraints;
DROP TABLE rTabspc      cascade constraints;
DROP TABLE rTabTbsp     cascade constraints;
DROP TABLE rText        cascade constraints;
DROP TABLE rTextG       cascade constraints;
DROP TABLE rZone        cascade constraints;
DROP TABLE tImage       cascade constraints;
DROP TABLE tItgParm     cascade constraints;
DROP TABLE tLongTxt     cascade constraints;
DROP TABLE tPrtParm     cascade constraints;
DROP TABLE wBasType     cascade constraints;
DROP TABLE wCharact     cascade constraints;
DROP TABLE wComItem     cascade constraints;
DROP TABLE wCompCat     cascade constraints;
DROP TABLE wCompon      cascade constraints;
DROP TABLE wCompPrs     cascade constraints;
DROP TABLE wCorrCat     cascade constraints;
DROP TABLE wCorresp     cascade constraints;
DROP TABLE wDefault     cascade constraints;
DROP TABLE wDomain      cascade constraints;
DROP TABLE wDomPrs      cascade constraints;
DROP TABLE wDomVal      cascade constraints;
DROP TABLE wExtStru     cascade constraints;
DROP TABLE wItemPrs     cascade constraints;
DROP TABLE wNSRRep      cascade constraints;
DROP TABLE wProject     cascade constraints;
DROP TABLE wRepPrs      cascade constraints;
DROP TABLE wRepres      cascade constraints;
DROP TABLE wRule        cascade constraints;
DROP TABLE wSRRep       cascade constraints;
DROP TABLE wStruct      cascade constraints;
DROP TABLE wStruNod     cascade constraints;
DROP TABLE wStruPrs     cascade constraints;
DROP TABLE wSubStru     cascade constraints;
DROP TABLE wTargSys     cascade constraints;
DROP TABLE wTypePrs     cascade constraints;
DROP TABLE wUFldVal     cascade constraints;
DROP TABLE wUser        cascade constraints;
DROP TABLE wUserFld     cascade constraints;
DROP TABLE zChkTran     cascade constraints;
DROP TABLE zChkUsed     cascade constraints;
DROP TABLE zConnect     cascade constraints;
DROP TABLE zControl     cascade constraints;


spool off;
set echo off;
