set echo off;
spool grtuser.lst;

/************************************************************************************
*                                                                                   *
*   grtuser.sql        SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script granting privileges to the           Script donnant des privileges au    *
*   SR_USERS  role                              "role" SR_USERS                     *
*                                                                                   *
************************************************************************************/

GRANT select ON zModule TO SR_USERS;
GRANT select, insert, update, delete on zControl TO SR_USERS;
GRANT select, insert, update, delete on zconnect to SR_USERS;
GRANT select, insert, update, delete on zchkused to SR_USERS;
GRANT select, insert, update, delete ON zchktran to SR_USERS;
GRANT select, insert, update, delete ON dCell TO SR_USERS;
GRANT select, insert, update, delete ON dCpnProc TO SR_USERS;
GRANT select, insert, update, delete ON dCpnStor TO SR_USERS;
GRANT select, insert, update, delete ON dDiag TO SR_USERS;
GRANT select, insert, update, delete ON dDispDes TO SR_USERS;
GRANT select, insert, update, delete ON dExEnGR TO SR_USERS;
GRANT select, insert, update, delete ON dExEnPrs TO SR_USERS;
GRANT select, insert, update, delete ON dExtEnt TO SR_USERS;
GRANT select, insert, update, delete ON dFigure TO SR_USERS;
GRANT select, insert, update, delete ON dFigurGR TO SR_USERS;
GRANT select, insert, update, delete ON dFlow TO SR_USERS;
GRANT select, insert, update, delete ON dFlowGR TO SR_USERS;
GRANT select, insert, update, delete ON dFont TO SR_USERS;
GRANT select, insert, update, delete ON dFText TO SR_USERS;
GRANT select, insert, update, delete ON dFTextGR TO SR_USERS;
GRANT select, insert, update, delete ON dGrapRep TO SR_USERS;
GRANT select, insert, update, delete ON dLabelGR TO SR_USERS;
GRANT select, insert, update, delete ON dLine TO SR_USERS;
GRANT select, insert, update, delete ON dLineGR TO SR_USERS;
GRANT select, insert, update, delete ON dLinkGR TO SR_USERS;
GRANT select, insert, update, delete ON dNode TO SR_USERS;
GRANT select, insert, update, delete ON dPictGR TO SR_USERS;
GRANT select, insert, update, delete ON dPicture TO SR_USERS;
GRANT select, insert, update, delete ON dProcess TO SR_USERS;
GRANT select, insert, update, delete ON dProcFrm TO SR_USERS;
GRANT select, insert, update, delete ON dProcGR TO SR_USERS;
GRANT select, insert, update, delete ON dProcPrs TO SR_USERS;
GRANT select, insert, update, delete ON dQualGR TO SR_USERS;
GRANT select, insert, update, delete ON dQualif TO SR_USERS;
GRANT select, insert, update, delete ON dQulExEn TO SR_USERS;
GRANT select, insert, update, delete ON dQulFlow TO SR_USERS;
GRANT select, insert, update, delete ON dQulProc TO SR_USERS;
GRANT select, insert, update, delete ON dQulSto TO SR_USERS;
GRANT select, insert, update, delete ON dResourc TO SR_USERS;
GRANT select, insert, update, delete ON dResProc TO SR_USERS;
GRANT select, insert, update, delete ON dStamp TO SR_USERS;
GRANT select, insert, update, delete ON dStampGR TO SR_USERS;
GRANT select, insert, update, delete ON dStore TO SR_USERS;
GRANT select, insert, update, delete ON dStoreGR TO SR_USERS;
GRANT select, insert, update, delete ON dStorPrs TO SR_USERS;
GRANT select, insert, update, delete ON dZone TO SR_USERS;
GRANT select, insert, update, delete ON rActCat TO SR_USERS;
GRANT select, insert, update, delete ON rAction TO SR_USERS;
GRANT select, insert, update, delete ON rAttrSet TO SR_USERS;
GRANT select, insert, update, delete ON rBlkCfg TO SR_USERS;
GRANT select, insert, update, delete ON rChoice TO SR_USERS;
GRANT select, insert, update, delete ON rChoiceG TO SR_USERS;
GRANT select, insert, update, delete ON rChoiLnG TO SR_USERS;
GRANT select, insert, update, delete ON rColAct TO SR_USERS;
GRANT select, insert, update, delete ON rColumn TO SR_USERS;
GRANT select, insert, update, delete ON rColVal TO SR_USERS;
GRANT select, insert, update, delete ON rCombCol TO SR_USERS;
GRANT select, insert, update, delete ON rCombDir TO SR_USERS;
GRANT select, insert, update, delete ON rCombin TO SR_USERS;
GRANT select, insert, update, delete ON rCompTbl TO SR_USERS;
GRANT select, insert, update, delete ON rConcAcc TO SR_USERS;
GRANT select, insert, update, delete ON rConnect TO SR_USERS;
GRANT select, insert, update, delete ON rConnG TO SR_USERS;
GRANT select, insert, update, delete ON rConnvG TO SR_USERS;
GRANT select, insert, update, delete ON rConstr TO SR_USERS;
GRANT select, insert, update, delete ON rContent TO SR_USERS;
GRANT select, insert, update, delete ON rDatabas TO SR_USERS;
GRANT select, insert, update, delete ON rDescAcc TO SR_USERS;
GRANT select, insert, update, delete ON rDiagram TO SR_USERS;
GRANT select, insert, update, delete ON rDim TO SR_USERS;
GRANT select, insert, update, delete ON rDirect TO SR_USERS;
GRANT select, insert, update, delete ON rErrMsg TO SR_USERS;
GRANT select, insert, update, delete ON rFigure TO SR_USERS;
GRANT select, insert, update, delete ON rFigureG TO SR_USERS;
GRANT select, insert, update, delete ON rFile TO SR_USERS;
GRANT select, insert, update, delete ON rFilSgrp TO SR_USERS;
GRANT select, insert, update, delete ON rFilTbsp TO SR_USERS;
GRANT select, insert, update, delete ON rFont TO SR_USERS;
GRANT select, insert, update, delete ON rGraphic TO SR_USERS;
GRANT select, insert, update, delete ON rIBICol TO SR_USERS;
GRANT select, insert, update, delete ON rIBIDir TO SR_USERS;
GRANT select, insert, update, delete ON rIBILink TO SR_USERS;
GRANT select, insert, update, delete ON rIBILoc TO SR_USERS;
GRANT select, insert, update, delete ON rIBIMFD TO SR_USERS;
GRANT select, insert, update, delete ON rIBISec TO SR_USERS;
GRANT select, insert, update, delete ON rIBITab TO SR_USERS;
GRANT select, insert, update, delete ON rIndex TO SR_USERS;
GRANT select, insert, update, delete ON rIndTbsp TO SR_USERS;
GRANT select, insert, update, delete ON rLabelG TO SR_USERS;
GRANT select, insert, update, delete ON rLine TO SR_USERS;
GRANT select, insert, update, delete ON rLineG TO SR_USERS;
GRANT select, insert, update, delete ON rMDIndex TO SR_USERS;
GRANT select, insert, update, delete ON rPart TO SR_USERS;
GRANT select, insert, update, delete ON rPictG TO SR_USERS;
GRANT select, insert, update, delete ON rPicture TO SR_USERS;
GRANT select, insert, update, delete ON rProc TO SR_USERS;
GRANT select, insert, update, delete ON rRelCol TO SR_USERS;
GRANT select, insert, update, delete ON rRollSeg TO SR_USERS;
GRANT select, insert, update, delete ON rSDColn TO SR_USERS;
GRANT select, insert, update, delete ON rSDFld TO SR_USERS;
GRANT select, insert, update, delete ON rSDFldVl TO SR_USERS;
GRANT select, insert, update, delete ON rSeq TO SR_USERS;
GRANT select, insert, update, delete ON rSpecSym TO SR_USERS;
GRANT select, insert, update, delete ON rStamp TO SR_USERS;
GRANT select, insert, update, delete ON rStampG TO SR_USERS;
GRANT select, insert, update, delete ON rStoCfg TO SR_USERS;
GRANT select, insert, update, delete ON rStogrp TO SR_USERS;
GRANT select, insert, update, delete ON rSubZone TO SR_USERS;
GRANT select, insert, update, delete ON rSvwCol TO SR_USERS;
GRANT select, insert, update, delete ON rSvwFmt TO SR_USERS;
GRANT select, insert, update, delete ON rTable TO SR_USERS;
GRANT select, insert, update, delete ON rTableG TO SR_USERS;
GRANT select, insert, update, delete ON rTabspc TO SR_USERS;
GRANT select, insert, update, delete ON rTabTbsp TO SR_USERS;
GRANT select, insert, update, delete ON rText TO SR_USERS;
GRANT select, insert, update, delete ON rTextG TO SR_USERS;
GRANT select, insert, update, delete ON rZone TO SR_USERS;
GRANT select, insert, update, delete ON tImage TO SR_USERS;
GRANT select, insert, update, delete ON tItgParm TO SR_USERS;
GRANT select, insert, update, delete ON tLongTxt TO SR_USERS;
GRANT select, insert, update, delete ON tPrtParm TO SR_USERS;
GRANT select, insert, update, delete ON wBasType TO SR_USERS;
GRANT select, insert, update, delete ON wCharact TO SR_USERS;
GRANT select, insert, update, delete ON wComItem TO SR_USERS;
GRANT select, insert, update, delete ON wCompCat TO SR_USERS;
GRANT select, insert, update, delete ON wCompon TO SR_USERS;
GRANT select, insert, update, delete ON wCompPrs TO SR_USERS;
GRANT select, insert, update, delete ON wCorrCat TO SR_USERS;
GRANT select, insert, update, delete ON wCorresp TO SR_USERS;
GRANT select, insert, update, delete ON wDefault TO SR_USERS;
GRANT select, insert, update, delete ON wDomain TO SR_USERS;
GRANT select, insert, update, delete ON wDomPrs TO SR_USERS;
GRANT select, insert, update, delete ON wDomVal TO SR_USERS;
GRANT select, insert, update, delete ON wExtStru TO SR_USERS;
GRANT select, insert, update, delete ON wItemPrs TO SR_USERS;
GRANT select, insert, update, delete ON wNSRRep TO SR_USERS;
GRANT select, insert, update, delete ON wProject TO SR_USERS;
GRANT select, insert, update, delete ON wRepPrs TO SR_USERS;
GRANT select, insert, update, delete ON wRepres TO SR_USERS;
GRANT select, insert, update, delete ON wRule TO SR_USERS;
GRANT select, insert, update, delete ON wSRRep TO SR_USERS;
GRANT select, insert, update, delete ON wStruct TO SR_USERS;
GRANT select, insert, update, delete ON wStruNod TO SR_USERS;
GRANT select, insert, update, delete ON wStruPrs TO SR_USERS;
GRANT select, insert, update, delete ON wSubStru TO SR_USERS;
GRANT select, insert, update, delete ON wTargSys TO SR_USERS;
GRANT select, insert, update, delete ON wTypePrs TO SR_USERS;
GRANT select, insert, update, delete ON wUFldVal TO SR_USERS;
GRANT select, insert, update, delete ON wUser TO SR_USERS;
GRANT select, insert, update, delete ON wUserFld TO SR_USERS;


spool off;
set echo on;
